NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
BAUDCTL          EQU 0x0FAA
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRGH           EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
ECCPAS           EQU 0x0FB6
PWM1CON          EQU 0x0FB7
CCP1CON          EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
LVDCON           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
MCLR = 5
CLKO = 6
CLKI = 7
LVDIN = 1
VREFM = 2
VREFP = 3
T0CKI = 4
OSC2 = 6
OSC1 = 7
NOT_MCLR = 5
CLKOUT = 6
CLKIN = 7

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
AN4 = 0
AN5 = 1
CCP1 = 3
AN6 = 4
PGM = 5
PGC = 6
PGD = 7
INT0 = 0
INT1 = 1
INT2 = 2
KBI0 = 4
KBI1 = 5
KBI2 = 6
KBI3 = 7
CK = 1
P1B = 2
P1A = 3
; DT = 4
P1C = 6
P1D = 7
TX = 1
RX = 4
T1OSO = 6
T1OSI = 7
T13CKI = 6
T1CKI = 6

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; OSCTUNE
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
TXIE = 4
RCIE = 5
ADIE = 6

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
TXIF = 4
RCIF = 5
ADIF = 6

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
TXIP = 4
RCIP = 5
ADIP = 6

; PIE2
TMR3IE = 1
LVDIE = 2
EEIE = 4
OSCFIE = 7

; PIR2
TMR3IF = 1
LVDIF = 2
EEIF = 4
OSCFIF = 7

; IPR2
TMR3IP = 1
LVDIP = 2
EEIP = 4
OSCFIP = 7

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
RCMT = 6

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADEN = 3

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; T3CON
TMR3ON = 0
TMR3CS = 1
NOT_T3SYNC = 2
T3CCP1 = 3
T3CCP2 = 6
RD16 = 7
T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5

; ECCPAS
ECCPASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3
ECCPAS0 = 4
ECCPAS1 = 5
ECCPAS2 = 6

; PWM1CON
PRSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
PCFG4 = 4
PCFG5 = 5
PCFG6 = 6

; ADCON0
ADON = 0
GO_NOT_DONE = 1
GO = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
VCFG0 = 6
VCFG1 = 7
DONE = 1
NOT_DONE = 1
GO_DONE = 1

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
TOUTPS0 = 3
TOUTPS1 = 4
TOUTPS2 = 5
TOUTPS3 = 6

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1CKPS0 = 4
T1CKPS1 = 5
T1SYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4

; WDTCON
SWDTEN = 0
SWDTE = 0

; LVDCON
LVDEN = 4
IRVST = 5
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3
IVRST = 5

; OSCCON
SCS0 = 0
SCS1 = 1
IOFS = 2
OSTS = 3
IDLEN = 7
SCS = 0
FLTS = 2
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T016BIT = 6

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
INTF = 1
INTE = 4
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4
STKOVF = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4

; LIST
