NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
ADCTRIG          EQU 0x0EB8
PD0              EQU 0x0EB9
PMDIS0           EQU 0x0EB9
PD1              EQU 0x0EBA
PMDIS1           EQU 0x0EBA
PD2              EQU 0x0EBB
PMDIS2           EQU 0x0EBB
PD3              EQU 0x0EBC
PMDIS3           EQU 0x0EBC
PPSCON           EQU 0x0EBF
RPOR0            EQU 0x0EC0
RPOR1            EQU 0x0EC1
RPOR2            EQU 0x0EC2
RPOR3            EQU 0x0EC3
RPOR4            EQU 0x0EC4
RPOR5            EQU 0x0EC5
RPOR6            EQU 0x0EC6
RPOR7            EQU 0x0EC7
RPOR8            EQU 0x0EC8
RPOR9            EQU 0x0EC9
RPOR10           EQU 0x0ECA
RPOR11           EQU 0x0ECB
RPOR12           EQU 0x0ECC
RPOR13           EQU 0x0ECD
RPOR14           EQU 0x0ECE
RPOR15           EQU 0x0ECF
RPOR16           EQU 0x0ED0
RPOR17           EQU 0x0ED1
RPOR18           EQU 0x0ED2
RPINR1           EQU 0x0EE1
RPINR2           EQU 0x0EE2
RPINR3           EQU 0x0EE3
RPINR4           EQU 0x0EE4
RPINR6           EQU 0x0EE6
RPINR15          EQU 0x0EE7
RPINR7           EQU 0x0EE8
RPINR8           EQU 0x0EE9
RPINR9           EQU 0x0EEA
RPINR12          EQU 0x0EF2
RPINR13          EQU 0x0EF3
RPINR14          EQU 0x0EF4
RPINR16          EQU 0x0EF7
RPINR17          EQU 0x0EF8
RPINR21          EQU 0x0EFC
RPINR22          EQU 0x0EFD
RPINR23          EQU 0x0EFE
RPINR24          EQU 0x0EFF
CCP10CON         EQU 0x0F00
CCPR10L          EQU 0x0F01
CCPR10LH         EQU 0x0F02
CCPR10H          EQU 0x0F02
CCP9CON          EQU 0x0F03
CCPR9L           EQU 0x0F04
CCPR9LH          EQU 0x0F05
CCPR9H           EQU 0x0F05
CCP8CON          EQU 0x0F06
CCPR8L           EQU 0x0F07
CCPR8LH          EQU 0x0F08
CCPR8H           EQU 0x0F08
CCP7CON          EQU 0x0F09
CCPR7L           EQU 0x0F0A
CCPR7LH          EQU 0x0F0B
CCPR7H           EQU 0x0F0B
CCP6CON          EQU 0x0F0C
CCPR6L           EQU 0x0F0D
CCPR6LH          EQU 0x0F0E
CCPR6H           EQU 0x0F0E
CCP5CON          EQU 0x0F0F
CCPR5L           EQU 0x0F10
CCPR5LH          EQU 0x0F11
CCPR5H           EQU 0x0F11
CCP4CON          EQU 0x0F12
CCPR4L           EQU 0x0F13
CCPR4LH          EQU 0x0F14
CCPR4H           EQU 0x0F14
CCP3CON          EQU 0x0F15
CCPR3L           EQU 0x0F16
CCPR3LH          EQU 0x0F17
CCPR3H           EQU 0x0F17
ECCP3DEL         EQU 0x0F18
ECCP3AS          EQU 0x0F19
PSTR3CON         EQU 0x0F1A
T8CON            EQU 0x0F1B
PR8              EQU 0x0F1C
TMR8             EQU 0x0F1D
T6CON            EQU 0x0F1E
PR6              EQU 0x0F1F
TMR6             EQU 0x0F20
T5GCON           EQU 0x0F21
T5CON            EQU 0x0F22
TMR5L            EQU 0x0F23
TMR5LH           EQU 0x0F24
TMR5H            EQU 0x0F24
CM3CON           EQU 0x0F25
RTCVALL          EQU 0x0F3A
RTCVALLH         EQU 0x0F3B
RTCVALH          EQU 0x0F3B
PADCFG1          EQU 0x0F3C
REFOCON          EQU 0x0F3D
RTCCAL           EQU 0x0F3E
RTCCFG           EQU 0x0F3F
ODCON3           EQU 0x0F40
ODCON2           EQU 0x0F41
ODCON1           EQU 0x0F42
ALRMVALL         EQU 0x0F44
ALRMVALLH        EQU 0x0F45
ALRMVALH         EQU 0x0F45
ALRMRPT          EQU 0x0F46
ALRMCFG          EQU 0x0F47
ANCON0           EQU 0x0F48
ANCON1           EQU 0x0F49
DSWAKEL          EQU 0x0F4A
DSWAKELH         EQU 0x0F4B
DSWAKEH          EQU 0x0F4B
DSCONL           EQU 0x0F4C
DSCONLH          EQU 0x0F4D
DSCONH           EQU 0x0F4D
DSGPR0           EQU 0x0F4E
DSGPR1           EQU 0x0F4F
CCPTMRS2         EQU 0x0F50
CCPTMRS1         EQU 0x0F51
CCPTMRS0         EQU 0x0F52
CVRCON           EQU 0x0F53
DMABCH           EQU 0x0F66
DMABCLH          EQU 0x0F66
DMABCL           EQU 0x0F67
RXADDRH          EQU 0x0F68
RXADDRLH         EQU 0x0F68
RXADDRL          EQU 0x0F69
TXADDRH          EQU 0x0F6A
TXADDRLH         EQU 0x0F6A
TXADDRL          EQU 0x0F6B
CMSTAT           EQU 0x0F70
CMSTATUS         EQU 0x0F70
SSP2CON2         EQU 0x0F71
SSP2CON1         EQU 0x0F72
SSP2STAT         EQU 0x0F73
SSP2ADD          EQU 0x0F74
SSP2MSK          EQU 0x0F74
SSP2BUF          EQU 0x0F75
T4CON            EQU 0x0F76
PR4              EQU 0x0F77
TMR4             EQU 0x0F78
T3CON            EQU 0x0F79
TMR3             EQU 0x0F7A
TMR3L            EQU 0x0F7A
TMR3LH           EQU 0x0F7B
TMR3H            EQU 0x0F7B
BAUDCON2         EQU 0x0F7C
SPBRGH2          EQU 0x0F7D
BAUDCON          EQU 0x0F7E
BAUDCON1         EQU 0x0F7E
BAUDCTL          EQU 0x0F7E
SPBRGH           EQU 0x0F7F
SPBRGH1          EQU 0x0F7F
HLVDCON          EQU 0x0F85
DMACON2          EQU 0x0F86
OSCCON2          EQU 0x0F87
DMACON1          EQU 0x0F88
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
PIE4             EQU 0x0F8E
PIR4             EQU 0x0F8F
IPR4             EQU 0x0F90
PIE5             EQU 0x0F91
TRISA            EQU 0x0F92
TRISB            EQU 0x0F93
TRISC            EQU 0x0F94
T3GCON           EQU 0x0F97
PIR5             EQU 0x0F98
IPR5             EQU 0x0F99
T1GCON           EQU 0x0F9A
OSCTUNE          EQU 0x0F9B
RCSTA2           EQU 0x0F9C
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
TXSTA2           EQU 0x0FA8
TXREG2           EQU 0x0FA9
RCREG2           EQU 0x0FAA
SPBRG2           EQU 0x0FAB
RCSTA            EQU 0x0FAC
RCSTA1           EQU 0x0FAC
TXSTA            EQU 0x0FAD
TXSTA1           EQU 0x0FAD
TXREG            EQU 0x0FAE
TXREG1           EQU 0x0FAE
RCREG            EQU 0x0FAF
RCREG1           EQU 0x0FAF
SPBRG            EQU 0x0FB0
SPBRG1           EQU 0x0FB0
CTMUICON         EQU 0x0FB1
CTMUCONL         EQU 0x0FB2
CTMUCONLH        EQU 0x0FB3
CTMUCONH         EQU 0x0FB3
CCP2CON          EQU 0x0FB4
ECCP2CON         EQU 0x0FB4
CCPR2            EQU 0x0FB5
CCPR2L           EQU 0x0FB5
CCPR2LH          EQU 0x0FB6
CCPR2H           EQU 0x0FB6
ECCP2DEL         EQU 0x0FB7
PWM2CON          EQU 0x0FB7
ECCP2AS          EQU 0x0FB8
PSTR2CON         EQU 0x0FB9
CCP1CON          EQU 0x0FBA
ECCP1CON         EQU 0x0FBA
CCPR1            EQU 0x0FBB
CCPR1L           EQU 0x0FBB
CCPR1LH          EQU 0x0FBC
CCPR1H           EQU 0x0FBC
ECCP1DEL         EQU 0x0FBD
PWM1CON          EQU 0x0FBD
ECCP1AS          EQU 0x0FBE
PSTR1CON         EQU 0x0FBF
WDTCON           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1MSK          EQU 0x0FC8
SSPMSK           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
T2CON            EQU 0x0FCA
PR2              EQU 0x0FCB
TMR2             EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
CM2CON           EQU 0x0FD1
CM2CON1          EQU 0x0FD1
CM1CON           EQU 0x0FD2
CM1CON1          EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82

; ADCTRIG
SRC0 = 0
SRC1 = 1
TRIGSEL0 = 0
TRIGSEL1 = 1

; PD0
ADCMD = 0
SPI1MD = 1
SPI2MD = 2
UART1MD = 3
UART2MD = 4
ECCP1MD = 5
ECCP2MD = 6
ECCP3MD = 7
PMDMSSP1 = 1
PMDMSSP2 = 2
PMDUART1 = 3
PMDUART2 = 4
PMDECCP1 = 5
PMDECCP2 = 6
PMDECCP3 = 7
PMDADC = 0

; PMDIS0
ADCMD = 0
SPI1MD = 1
SPI2MD = 2
UART1MD = 3
UART2MD = 4
ECCP1MD = 5
ECCP2MD = 6
ECCP3MD = 7
PMDMSSP1 = 1
PMDMSSP2 = 2
PMDUART1 = 3
PMDUART2 = 4
PMDECCP1 = 5
PMDECCP2 = 6
PMDECCP3 = 7
PMDADC = 0

; PD1
TMR1MD = 1
TMR2MD = 2
TMR3MD = 3
TMR4MD = 4
RTCCMD = 5
CTMUMD = 6
PMDTMR1 = 1
PMDTMR2 = 2
PMDTMR3 = 3
PMDTMR4 = 4
PMDRTCC = 5
PMDCTMU = 6

; PMDIS1
TMR1MD = 1
TMR2MD = 2
TMR3MD = 3
TMR4MD = 4
RTCCMD = 5
CTMUMD = 6
PMDTMR1 = 1
PMDTMR2 = 2
PMDTMR3 = 3
PMDTMR4 = 4
PMDRTCC = 5
PMDCTMU = 6

; PD2
CMP1MD = 0
CMP2MD = 1
CMP3MD = 2
TMR5MD = 3
TMR6MD = 4
TMR8MD = 6
PMDCMP1 = 0
PMDCMP2 = 1
PMDCMP3 = 2
PMDTMR5 = 3
PMDTMR6 = 4
PMDTMR8 = 6

; PMDIS2
CMP1MD = 0
CMP2MD = 1
CMP3MD = 2
TMR5MD = 3
TMR6MD = 4
TMR8MD = 6
PMDCMP1 = 0
PMDCMP2 = 1
PMDCMP3 = 2
PMDTMR5 = 3
PMDTMR6 = 4
PMDTMR8 = 6

; PD3
CCP4MD = 1
CCP5MD = 2
CCP6MD = 3
CCP7MD = 4
CCP8MD = 5
CCP9MD = 6
CCP10MD = 7
PMDCCP4 = 1
PMDCCP5 = 2
PMDCCP6 = 3
PMDCCP7 = 4
PMDCCP8 = 5
PMDCCP9 = 6
PMDCCP10 = 7

; PMDIS3
CCP4MD = 1
CCP5MD = 2
CCP6MD = 3
CCP7MD = 4
CCP8MD = 5
CCP9MD = 6
CCP10MD = 7
PMDCCP4 = 1
PMDCCP5 = 2
PMDCCP6 = 3
PMDCCP7 = 4
PMDCCP8 = 5
PMDCCP9 = 6
PMDCCP10 = 7

; PPSCON
IOLOCK = 0

; CCP10CON
CCP10M0 = 0
CCP10M1 = 1
CCP10M2 = 2
CCP10M3 = 3
DC10B0 = 4
DC10B1 = 5

; CCP9CON
CCP9M0 = 0
CCP9M1 = 1
CCP9M2 = 2
CCP9M3 = 3
DC9B0 = 4
DC9B1 = 5

; CCP8CON
CCP8M0 = 0
CCP8M1 = 1
CCP8M2 = 2
CCP8M3 = 3
DC8B0 = 4
DC8B1 = 5

; CCP7CON
CCP7M0 = 0
CCP7M1 = 1
CCP7M2 = 2
CCP7M3 = 3
DC7B0 = 4
DC7B1 = 5

; CCP6CON
CCP6M0 = 0
CCP6M1 = 1
CCP6M2 = 2
CCP6M3 = 3
DC6B0 = 4
DC6B1 = 5

; CCP5CON
CCP5M0 = 0
CCP5M1 = 1
CCP5M2 = 2
CCP5M3 = 3
DC5B0 = 4
DC5B1 = 5

; CCP4CON
CCP4M0 = 0
CCP4M1 = 1
CCP4M2 = 2
CCP4M3 = 3
DC4B0 = 4
DC4B1 = 5

; CCP3CON
CCP3M0 = 0
CCP3M1 = 1
CCP3M2 = 2
CCP3M3 = 3
DC3B0 = 4
DC3B1 = 5
P3M0 = 6
P3M1 = 7

; ECCP3DEL
P3RSEN = 7
P3DC0 = 0
P3DC1 = 1
P3DC2 = 2
P3DC3 = 3
P3DC4 = 4
P3DC5 = 5
P3DC6 = 6

; ECCP3AS
ECCP3ASE = 7
PSS3BD0 = 0
PSS3BD1 = 1
PSS3AC0 = 2
PSS3AC1 = 3
ECCP3AS0 = 4
ECCP3AS1 = 5
ECCP3AS2 = 6

; PSTR3CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; T8CON
TMR8ON = 2
T8CKPS0 = 0
T8CKPS1 = 1
T8OUTPS0 = 3
T8OUTPS1 = 4
T8OUTPS2 = 5
T8OUTPS3 = 6

; T6CON
TMR6ON = 2
T6CKPS0 = 0
T6CKPS1 = 1
T6OUTPS0 = 3
T6OUTPS1 = 4
T6OUTPS2 = 5
T6OUTPS3 = 6

; T5GCON
T5GVAL = 2
T5GGO_NOT_T5DONE = 3
T5GSPM = 4
T5GTM = 5
T5GPOL = 6
TMR5GE = 7
T5GSS0 = 0
T5GSS1 = 1
T5GGO = 3
NOT_T5DONE = 3
T5DONE = 3

; T5CON
TMR5ON = 0
RD16 = 1
NOT_T5SYNC = 2
T5OSCEN = 3
T5CKPS0 = 4
T5CKPS1 = 5
TMR5CS0 = 6
TMR5CS1 = 7

; CM3CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; PADCFG1
RTSECSEL0 = 1
RTSECSEL1 = 2

; REFOCON
ROSEL = 4
ROSSLP = 5
ROON = 7
RODIV0 = 0
RODIV1 = 1
RODIV2 = 2
RODIV3 = 3

; RTCCAL
CAL0 = 0
CAL1 = 1
CAL2 = 2
CAL3 = 3
CAL4 = 4
CAL5 = 5
CAL6 = 6
CAL7 = 7

; RTCCFG
RTCPTR0 = 0
RTCPTR1 = 1
RTCOE = 2
HALFSEC = 3
RTCSYNC = 4
RTCWREN = 5
RTCEN = 7

; ODCON3
SPI1OD = 0
SPI2OD = 1
CTMUDS = 7

; ODCON2
U1OD = 0
U2OD = 1
CCP9OD = 2
CCP10OD = 3

; ODCON1
ECCP1OD = 0
ECCP2OD = 1
ECCP3OD = 2
CCP4OD = 3
CCP5OD = 4
CCP6OD = 5
CCP7OD = 6
CCP8OD = 7

; ALRMRPT
ARPT0 = 0
ARPT1 = 1
ARPT2 = 2
ARPT3 = 3
ARPT4 = 4
ARPT5 = 5
ARPT6 = 6
ARPT7 = 7

; ALRMCFG
CHIME = 6
ALRMEN = 7
ALRMPTR0 = 0
ALRMPTR1 = 1
AMASK0 = 2
AMASK1 = 3
AMASK2 = 4
AMASK3 = 5

; ANCON0
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
PCFG4 = 4

; ANCON1
PCFG8 = 0
PCFG9 = 1
PCFG10 = 2
PCFG11 = 3
PCFG12 = 4
VBGEN = 7

; DSWAKEL
DSPOR = 0
DSMCLR = 2
DSRTC = 3
DSWDT = 4
DSULP = 5
DSFLT = 7

; DSWAKEH
DSINT0 = 0

; DSCONL
RELEASE = 0
DSBOR = 1
ULPWDIS = 2

; DSCONH
RTCWDIS = 0
DSULPEN = 1
DSEN = 7

; CCPTMRS2
C9TSEL0 = 2
C10TSEL0 = 4
C8TSEL0 = 0
C8TSEL1 = 1

; CCPTMRS1
C5TSEL0 = 2
C6TSEL0 = 4
C4TSEL0 = 0
C4TSEL1 = 1
C7TSEL0 = 6
C7TSEL1 = 7

; CCPTMRS0
C1TSEL0 = 0
C1TSEL1 = 1
C1TSEL2 = 2
C2TSEL0 = 3
C2TSEL1 = 4
C2TSEL2 = 5
C3TSEL0 = 6
C3TSEL1 = 7

; CVRCON
CVRSS = 4
CVRR = 5
CVROE = 6
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3

; CMSTAT
COUT1 = 0
COUT2 = 1
COUT3 = 2

; CMSTATUS
COUT1 = 0
COUT2 = 1
COUT3 = 2

; SSP2CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP2CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP2STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7

; SSP2MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T4CON
TMR4ON = 2
T4CKPS0 = 0
T4CKPS1 = 1
T4OUTPS0 = 3
T4OUTPS1 = 4
T4OUTPS2 = 5
T4OUTPS3 = 6

; T3CON
TMR3ON = 0
RD16 = 1
NOT_T3SYNC = 2
T3OSCEN = 3
T3CKPS0 = 4
T3CKPS1 = 5
TMR3CS0 = 6
TMR3CS1 = 7

; BAUDCON2
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
AN4 = 5
OSC2 = 6
OSC1 = 7
C1INA = 0
C2INA = 1
VREF_MINUS = 2
VREF_PLUS = 3
NOT_SS1 = 5
CLKO = 6
CLKI = 7
CVREF = 2
C1INB = 3
HLVDIN = 5
RP0 = 0
RP1 = 1
C2INB = 2
ULPWU = 0
VBG = 1
C3INB = 2
RP2 = 5
C1IND = 2
C1INC = 5

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
AN12 = 0
AN10 = 1
AN8 = 2
AN9 = 3
KBI2 = 6
KBI3 = 7
INT0 = 0
CTED1 = 2
CTED2 = 3
KBI0 = 4
KBI1 = 5
PGC = 6
PGD = 7
RP3 = 0
RTCC = 1
RP9 = 6
RP10 = 7
C3IND = 0
C3INC = 1
C2INC = 2
SCL2 = 4
SDA2 = 5
RP4 = 1
REFO = 2
RP6 = 3
RP7 = 4
RP8 = 5
RP5 = 2
C3INA = 3
CCP4 = 4
CCP5 = 5
CCP6 = 6
CCP7 = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
AN11 = 2
SCL1 = 3
SDA1 = 4
T1CKI = 0
CTPLS = 2
TX1 = 6
RX1 = 7
RP11 = 0
RP12 = 1
RP13 = 2
RP14 = 3
RP15 = 4
RP16 = 5
CK1 = 6
DT1 = 7
CCP8 = 1
C2IND = 2
SCK1 = 3
SDI1 = 4
SDO1 = 5
CCP9 = 6
CCP10 = 7
RP17 = 6
RP18 = 7

; HLVDCON
HLVDEN = 4
IRVST = 5
BGVST = 6
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3

; DMACON2
INTLVL0 = 0
INTLVL1 = 1
INTLVL2 = 2
INTLVL3 = 3
DLYCYC0 = 4
DLYCYC1 = 5
DLYCYC2 = 6
DLYCYC3 = 7

; OSCCON2
PRISD = 2
SOSCGO = 3
SOSCDRV = 4
SOSCRUN = 6

; DMACON1
DMAEN = 0
DLYINTEN = 1
DUPLEX0 = 2
DUPLEX1 = 3
RXINC = 4
TXINC = 5
SSCON0 = 6
SSCON1 = 7

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; PIE4
CCP3IE = 0
CCP4IE = 1
CCP5IE = 2
CCP6IE = 3
CCP7IE = 4
CCP8IE = 5
CCP9IE = 6
CCP10IE = 7

; PIR4
CCP3IF = 0
CCP4IF = 1
CCP5IF = 2
CCP6IF = 3
CCP7IF = 4
CCP8IF = 5
CCP9IF = 6
CCP10IF = 7

; IPR4
CCP3IP = 0
CCP4IP = 1
CCP5IP = 2
CCP6IP = 3
CCP7IP = 4
CCP8IP = 5
CCP9IP = 6
CCP10IP = 7

; PIE5
TMR1GIE = 0
TMR5GIE = 1
TMR5IE = 2
TMR6IE = 3
TMR8IE = 4
CM3IE = 5

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; T3GCON
T3GSS0 = 0
T3GSS1 = 1
T3GVAL = 2
T3GGO_T3DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
TMR3GE = 7
T3GGO = 3
T3DONE = 3

; PIR5
TMR1GIF = 0
TMR5GIF = 1
TMR5IF = 2
TMR6IF = 3
TMR8IF = 4
CM3IF = 5

; IPR5
TMR1GIP = 0
TMR5GIP = 1
TMR5IP = 2
TMR6IP = 3
TMR8IP = 4
CM3IP = 5

; T1GCON
T1GSS0 = 0
T1GSS1 = 1
T1GVAL = 2
T1GGO_NOT_T1DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
TMR1GE = 7
T1GGO = 3
NOT_T1DONE = 3
T1DONE = 3

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RX9D2 = 0
OERR2 = 1
FERR2 = 2
ADDEN2 = 3
CREN2 = 4
SREN2 = 5
RX92 = 6
SPEN2 = 7

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSP1IE = 3
TX1IE = 4
RC1IE = 5
ADIE = 6
SSPIE = 3
TXIE = 4
RCIE = 5

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSP1IF = 3
TX1IF = 4
RC1IF = 5
ADIF = 6
SSPIF = 3
TXIF = 4
RCIF = 5

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSP1IP = 3
TX1IP = 4
RC1IP = 5
ADIP = 6
SSPIP = 3
TXIP = 4
RCIP = 5

; PIE2
CCP2IE = 0
TMR3IE = 1
LVDIE = 2
BCL1IE = 3
CM1IE = 5
CM2IE = 6
OSCFIE = 7
HLVDIE = 2
BCLIE = 3

; PIR2
CCP2IF = 0
TMR3IF = 1
LVDIF = 2
BCL1IF = 3
CM1IF = 5
CM2IF = 6
OSCFIF = 7
HLVDIF = 2
BCLIF = 3

; IPR2
CCP2IP = 0
TMR3IP = 1
LVDIP = 2
BCL1IP = 3
CM1IP = 5
CM2IP = 6
OSCFIP = 7
HLVDIP = 2
BCLIP = 3

; PIE3
RTCCIE = 0
TMR3GIE = 1
CTMUIE = 2
TMR4IE = 3
TX2IE = 4
RC2IE = 5
BCL2IE = 6
SSP2IE = 7

; PIR3
RTCCIF = 0
TMR3GIF = 1
CTMUIF = 2
TMR4IF = 3
TX2IF = 4
RC2IF = 5
BCL2IF = 6
SSP2IF = 7

; IPR3
RTCCIP = 0
TMR3GIP = 1
CTMUIP = 2
TMR4IP = 3
TX2IP = 4
RC2IP = 5
BCL2IP = 6
SSP2IP = 7

; EECON1
WR = 1
WREN = 2
WRERR = 3
FREE = 4
WPROG = 5

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TX9D2 = 0
TRMT2 = 1
BRGH2 = 2
SENDB2 = 3
SYNC2 = 4
TXEN2 = 5
TX92 = 6
CSRC2 = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
RCD8 = 0
ADEN = 3
RC9 = 6
NOT_RC8 = 6
RC8_9 = 6
RX9D1 = 0
OERR1 = 1
FERR1 = 2
ADDEN1 = 3
CREN1 = 4
SREN1 = 5
RX91 = 6
SPEN1 = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7
TXD8 = 0
TX8_9 = 6
NOT_TX8 = 6
TX9D1 = 0
TRMT1 = 1
BRGH1 = 2
SENDB1 = 3
SYNC1 = 4
TXEN1 = 5
TX91 = 6
CSRC1 = 7

; CTMUICON
IRNG0 = 0
IRNG1 = 1
ITRIM0 = 2
ITRIM1 = 3
ITRIM2 = 4
ITRIM3 = 5
ITRIM4 = 6
ITRIM5 = 7

; CTMUCONL
EDG1STAT = 0
EDG2STAT = 1
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG1POL = 4
EDG2SEL0 = 5
EDG2SEL1 = 6
EDG2POL = 7

; CTMUCONH
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
P2M0 = 6
P2M1 = 7
CCP2Y = 4
CCP2X = 5

; ECCP2DEL
P2RSEN = 7
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6

; PWM2CON
P2RSEN = 7
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6

; ECCP2AS
ECCP2ASE = 7
PSS2BD0 = 0
PSS2BD1 = 1
PSS2AC0 = 2
PSS2AC1 = 3
ECCP2AS0 = 4
ECCP2AS1 = 5
ECCP2AS2 = 6

; PSTR2CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7
P2DC0 = 0
P2DC1 = 1
P2DC2 = 2
P2DC3 = 3
P2DC4 = 4
P2DC5 = 5
P2DC6 = 6

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1DEL
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; PWM1CON
P1RSEN = 7
P1DC0 = 0
P1DC1 = 1
P1DC2 = 2
P1DC3 = 3
P1DC4 = 4
P1DC5 = 5
P1DC6 = 6

; ECCP1AS
ECCP1ASE = 7
PSS1BD0 = 0
PSS1BD1 = 1
PSS1AC0 = 2
PSS1AC1 = 3
ECCP1AS0 = 4
ECCP1AS1 = 5
ECCP1AS2 = 6

; PSTR1CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
CMPL0 = 6
CMPL1 = 7

; WDTCON
SWDTEN = 0
ULPSINK = 1
ULPEN = 2
DS = 3
VBGOE = 4
ULPLVL = 5
LVDSTAT = 6
REGSLP = 7
SWDTE = 0

; ADCON1
ADCAL = 6
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON0
ADON = 0
GO_NOT_DONE = 1
GO_DONE = 1
CHS0 = 2
CHS1 = 3
CHS2 = 4
CHS3 = 5
VCFG0 = 6
VCFG1 = 7
DONE = 1
GO = 1
NOT_DONE = 1

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R = 2
D = 5
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP1MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; T1CON
TMR1ON = 0
RD16 = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1CKPS0 = 4
T1CKPS1 = 5
TMR1CS0 = 6
TMR1CS1 = 7

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
NOT_CM = 5
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4
CM = 5

; CM2CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM2CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM1CON
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; CM1CON1
CREF = 2
CPOL = 5
COE = 6
CON = 7
CCH0 = 0
CCH1 = 1
EVPOL0 = 3
EVPOL1 = 4

; OSCCON
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
T0IP = 2
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7

; LIST
