NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
RX2PPS           EQU 0x0E8D
CK2PPS           EQU 0x0E8E
TX2PPS           EQU 0x0E8E
SSP2CLKPPS       EQU 0x0E8F
SSP2DATPPS       EQU 0x0E90
SSP2SSPPS        EQU 0x0E91
SSP2BUF          EQU 0x0E92
SSP2ADD          EQU 0x0E93
SSP2MSK          EQU 0x0E94
SSP2STAT         EQU 0x0E95
SSP2CON1         EQU 0x0E96
SSP2CON2         EQU 0x0E97
SSP2CON3         EQU 0x0E98
RC2REG           EQU 0x0E99
RCREG2           EQU 0x0E99
TX2REG           EQU 0x0E9A
TXREG2           EQU 0x0E9A
SP2BRG           EQU 0x0E9B
SP2BRGL          EQU 0x0E9B
SPBRG2           EQU 0x0E9B
SP2BRGH          EQU 0x0E9C
SPBRGH2          EQU 0x0E9C
RC2STA           EQU 0x0E9D
RCSTA2           EQU 0x0E9D
TX2STA           EQU 0x0E9E
TXSTA2           EQU 0x0E9E
BAUD2CON         EQU 0x0E9F
BAUDCON2         EQU 0x0E9F
BAUDCTL2         EQU 0x0E9F
PPSLOCK          EQU 0x0EA0
INT0PPS          EQU 0x0EA1
INT1PPS          EQU 0x0EA2
INT2PPS          EQU 0x0EA3
T0CKIPPS         EQU 0x0EA4
T1CKIPPS         EQU 0x0EA5
T1GPPS           EQU 0x0EA6
T3CKIPPS         EQU 0x0EA7
T3GPPS           EQU 0x0EA8
T5CKIPPS         EQU 0x0EA9
T5GPPS           EQU 0x0EAA
T2INPPS          EQU 0x0EAB
T4INPPS          EQU 0x0EAC
T6INPPS          EQU 0x0EAD
ADACTPPS         EQU 0x0EAE
CCP1PPS          EQU 0x0EAF
CCP2PPS          EQU 0x0EB0
CWG1PPS          EQU 0x0EB1
CWGINPPS         EQU 0x0EB1
MDCARLPPS        EQU 0x0EB2
MDCARHPPS        EQU 0x0EB3
MDSRCPPS         EQU 0x0EB4
RX1PPS           EQU 0x0EB5
RXPPS            EQU 0x0EB5
CK1PPS           EQU 0x0EB6
CKPPS            EQU 0x0EB6
TX1PPS           EQU 0x0EB6
TXPPS            EQU 0x0EB6
SSP1CLKPPS       EQU 0x0EB7
SSPCLKPPS        EQU 0x0EB7
SSP1DATPPS       EQU 0x0EB8
SSPDATPPS        EQU 0x0EB8
SSP1SSPPS        EQU 0x0EB9
SSPSSPPS         EQU 0x0EB9
IPR0             EQU 0x0EBA
IPR1             EQU 0x0EBB
IPR2             EQU 0x0EBC
IPR3             EQU 0x0EBD
IPR4             EQU 0x0EBE
IPR5             EQU 0x0EBF
IPR6             EQU 0x0EC0
IPR7             EQU 0x0EC1
PIE0             EQU 0x0EC2
PIE1             EQU 0x0EC3
PIE2             EQU 0x0EC4
PIE3             EQU 0x0EC5
PIE4             EQU 0x0EC6
PIE5             EQU 0x0EC7
PIE6             EQU 0x0EC8
PIE7             EQU 0x0EC9
PIR0             EQU 0x0ECA
PIR1             EQU 0x0ECB
PIR2             EQU 0x0ECC
PIR3             EQU 0x0ECD
PIR4             EQU 0x0ECE
PIR5             EQU 0x0ECF
PIR6             EQU 0x0ED0
PIR7             EQU 0x0ED1
WDTCON0          EQU 0x0ED2
WDTCON1          EQU 0x0ED3
WDTPSL           EQU 0x0ED4
WDTPSLH          EQU 0x0ED5
WDTPSH           EQU 0x0ED5
WDTTMR           EQU 0x0ED6
CPUDOZE          EQU 0x0ED7
OSCCON1          EQU 0x0ED8
OSCCON2          EQU 0x0ED9
OSCCON3          EQU 0x0EDA
OSCSTAT          EQU 0x0EDB
OSCSTAT1         EQU 0x0EDB
OSCEN            EQU 0x0EDC
OSCTUNE          EQU 0x0EDD
OSCFRQ           EQU 0x0EDE
BORCON           EQU 0x0EE0
PMD0             EQU 0x0EE1
PMD1             EQU 0x0EE2
PMD2             EQU 0x0EE3
PMD3             EQU 0x0EE4
PMD4             EQU 0x0EE5
PMD5             EQU 0x0EE6
RA0PPS           EQU 0x0EE7
RA1PPS           EQU 0x0EE8
RA2PPS           EQU 0x0EE9
RA3PPS           EQU 0x0EEA
RA4PPS           EQU 0x0EEB
RA5PPS           EQU 0x0EEC
RA6PPS           EQU 0x0EED
RA7PPS           EQU 0x0EEE
RB0PPS           EQU 0x0EEF
RB1PPS           EQU 0x0EF0
RB2PPS           EQU 0x0EF1
RB3PPS           EQU 0x0EF2
RB4PPS           EQU 0x0EF3
RB5PPS           EQU 0x0EF4
RB6PPS           EQU 0x0EF5
RB7PPS           EQU 0x0EF6
RC0PPS           EQU 0x0EF7
RC1PPS           EQU 0x0EF8
RC2PPS           EQU 0x0EF9
RC3PPS           EQU 0x0EFA
RC4PPS           EQU 0x0EFB
RC5PPS           EQU 0x0EFC
RC6PPS           EQU 0x0EFD
RC7PPS           EQU 0x0EFE
RD0PPS           EQU 0x0EFF
RD1PPS           EQU 0x0F00
RD2PPS           EQU 0x0F01
RD3PPS           EQU 0x0F02
RD4PPS           EQU 0x0F03
RD5PPS           EQU 0x0F04
RD6PPS           EQU 0x0F05
RD7PPS           EQU 0x0F06
RE0PPS           EQU 0x0F07
RE1PPS           EQU 0x0F08
RE2PPS           EQU 0x0F09
IOCAF            EQU 0x0F0A
IOCAN            EQU 0x0F0B
IOCAP            EQU 0x0F0C
INLVLA           EQU 0x0F0D
SLRCONA          EQU 0x0F0E
ODCONA           EQU 0x0F0F
WPUA             EQU 0x0F10
ANSELA           EQU 0x0F11
IOCBF            EQU 0x0F12
IOCBN            EQU 0x0F13
IOCBP            EQU 0x0F14
INLVLB           EQU 0x0F15
SLRCONB          EQU 0x0F16
ODCONB           EQU 0x0F17
WPUB             EQU 0x0F18
ANSELB           EQU 0x0F19
IOCCF            EQU 0x0F1A
IOCCN            EQU 0x0F1B
IOCCP            EQU 0x0F1C
INLVLC           EQU 0x0F1D
SLRCONC          EQU 0x0F1E
ODCONC           EQU 0x0F1F
WPUC             EQU 0x0F20
ANSELC           EQU 0x0F21
INLVLD           EQU 0x0F22
SLRCOND          EQU 0x0F23
ODCOND           EQU 0x0F24
WPUD             EQU 0x0F25
ANSELD           EQU 0x0F26
IOCEF            EQU 0x0F27
IOCEN            EQU 0x0F28
IOCEP            EQU 0x0F29
INLVLE           EQU 0x0F2A
SLRCONE          EQU 0x0F2B
ODCONE           EQU 0x0F2C
WPUE             EQU 0x0F2D
ANSELE           EQU 0x0F2E
HLVDCON0         EQU 0x0F2F
HLVDCON1         EQU 0x0F30
FVRCON           EQU 0x0F31
ZCDCON           EQU 0x0F32
DAC1CON0         EQU 0x0F33
DAC1CON1         EQU 0x0F34
CM2CON0          EQU 0x0F35
CM2CON1          EQU 0x0F36
CM2NCH           EQU 0x0F37
CM2PCH           EQU 0x0F38
CM1CON0          EQU 0x0F39
CM1CON1          EQU 0x0F3A
CM1NCH           EQU 0x0F3B
CM1PCH           EQU 0x0F3C
CMOUT            EQU 0x0F3D
CLKRCON          EQU 0x0F3E
CLKRCLK          EQU 0x0F3F
CWG1CLK          EQU 0x0F40
CWG1CLKCON       EQU 0x0F40
CWG1ISM          EQU 0x0F41
CWG1DBR          EQU 0x0F42
CWG1DBF          EQU 0x0F43
CWG1CON0         EQU 0x0F44
CWG1CON1         EQU 0x0F45
CWG1AS0          EQU 0x0F46
CWG1AS1          EQU 0x0F47
CWG1STR          EQU 0x0F48
SCANLADR         EQU 0x0F49
SCANLADRL        EQU 0x0F49
SCANLADRLH       EQU 0x0F4A
SCANLADRH        EQU 0x0F4A
SCANLADRU        EQU 0x0F4B
SCANHADR         EQU 0x0F4C
SCANHADRL        EQU 0x0F4C
SCANHADRLH       EQU 0x0F4D
SCANHADRH        EQU 0x0F4D
SCANHADRU        EQU 0x0F4E
SCANCON0         EQU 0x0F4F
SCANTRIG         EQU 0x0F50
MDCON0           EQU 0x0F51
MDCON1           EQU 0x0F52
MDSRC            EQU 0x0F53
MDCARL           EQU 0x0F54
MDCARLH          EQU 0x0F55
MDCARH           EQU 0x0F55
ADACT            EQU 0x0F56
ADCLK            EQU 0x0F57
ADREF            EQU 0x0F58
ADCON1           EQU 0x0F59
ADCON2           EQU 0x0F5A
ADCON3           EQU 0x0F5B
ADACQ            EQU 0x0F5C
ADCAP            EQU 0x0F5D
ADPRE            EQU 0x0F5E
ADPCH            EQU 0x0F5F
ADCON0           EQU 0x0F60
ADPREV           EQU 0x0F61
ADPREVL          EQU 0x0F61
ADPREVLH         EQU 0x0F62
ADPREVH          EQU 0x0F62
ADRES            EQU 0x0F63
ADRESL           EQU 0x0F63
ADRESLH          EQU 0x0F64
ADRESH           EQU 0x0F64
ADSTAT           EQU 0x0F65
ADRPT            EQU 0x0F66
ADCNT            EQU 0x0F67
ADSTPT           EQU 0x0F68
ADSTPTL          EQU 0x0F68
ADSTPTLH         EQU 0x0F69
ADSTPTH          EQU 0x0F69
ADLTH            EQU 0x0F6A
ADLTHL           EQU 0x0F6A
ADLTHLH          EQU 0x0F6B
ADLTHH           EQU 0x0F6B
ADUTH            EQU 0x0F6C
ADUTHL           EQU 0x0F6C
ADUTHLH          EQU 0x0F6D
ADUTHH           EQU 0x0F6D
ADERR            EQU 0x0F6E
ADERRL           EQU 0x0F6E
ADERRLH          EQU 0x0F6F
ADERRH           EQU 0x0F6F
ADACC            EQU 0x0F70
ADACCL           EQU 0x0F70
ADACCLH          EQU 0x0F71
ADACCH           EQU 0x0F71
ADFLTR           EQU 0x0F72
ADFLTRL          EQU 0x0F72
ADFLTRLH         EQU 0x0F73
ADFLTRH          EQU 0x0F73
CRCDATA          EQU 0x0F74
CRCDATL          EQU 0x0F74
CRCDATLH         EQU 0x0F75
CRCDATH          EQU 0x0F75
CRCACC           EQU 0x0F76
CRCACCL          EQU 0x0F76
CRCACCLH         EQU 0x0F77
CRCACCH          EQU 0x0F77
CRCSHFT          EQU 0x0F78
CRCSHIFTL        EQU 0x0F78
CRCSHIFTLH       EQU 0x0F79
CRCSHIFTH        EQU 0x0F79
CRCXOR           EQU 0x0F7A
CRCXORL          EQU 0x0F7A
CRCXORLH         EQU 0x0F7B
CRCXORH          EQU 0x0F7B
CRCCON0          EQU 0x0F7C
CRCCON1          EQU 0x0F7D
NVMADR           EQU 0x0F7E
NVMADRL          EQU 0x0F7E
NVMADRLH         EQU 0x0F7F
NVMADRH          EQU 0x0F7F
NVMDAT           EQU 0x0F80
NVMCON1          EQU 0x0F81
NVMCON2          EQU 0x0F82
LATA             EQU 0x0F83
LATB             EQU 0x0F84
LATC             EQU 0x0F85
LATD             EQU 0x0F86
LATE             EQU 0x0F87
DDRA             EQU 0x0F88
TRISA            EQU 0x0F88
DDRB             EQU 0x0F89
TRISB            EQU 0x0F89
DDRC             EQU 0x0F8A
TRISC            EQU 0x0F8A
DDRD             EQU 0x0F8B
TRISD            EQU 0x0F8B
DDRE             EQU 0x0F8C
TRISE            EQU 0x0F8C
SSP1BUF          EQU 0x0F92
SSPBUF           EQU 0x0F92
SSP1ADD          EQU 0x0F93
SSPADD           EQU 0x0F93
SSP1MSK          EQU 0x0F94
SSPMSK           EQU 0x0F94
SSP1STAT         EQU 0x0F95
SSPSTAT          EQU 0x0F95
SSP1CON1         EQU 0x0F96
SSPCON1          EQU 0x0F96
SSP1CON2         EQU 0x0F97
SSPCON2          EQU 0x0F97
SSP1CON3         EQU 0x0F98
SSPCON3          EQU 0x0F98
RC1REG           EQU 0x0F99
RCREG            EQU 0x0F99
RCREG1           EQU 0x0F99
TX1REG           EQU 0x0F9A
TXREG            EQU 0x0F9A
TXREG1           EQU 0x0F9A
SP1BRG           EQU 0x0F9B
SP1BRGL          EQU 0x0F9B
SPBRG            EQU 0x0F9B
SPBRG1           EQU 0x0F9B
SPBRGL           EQU 0x0F9B
SP1BRGH          EQU 0x0F9C
SPBRGH           EQU 0x0F9C
SPBRGH1          EQU 0x0F9C
RC1STA           EQU 0x0F9D
RCSTA            EQU 0x0F9D
RCSTA1           EQU 0x0F9D
TX1STA           EQU 0x0F9E
TXSTA            EQU 0x0F9E
TXSTA1           EQU 0x0F9E
BAUD1CON         EQU 0x0F9F
BAUDCON          EQU 0x0F9F
BAUDCON1         EQU 0x0F9F
BAUDCTL          EQU 0x0F9F
BAUDCTL1         EQU 0x0F9F
PWM4DCL          EQU 0x0FA0
PWM4DCLH         EQU 0x0FA1
PWM4DCH          EQU 0x0FA1
PWM4CON          EQU 0x0FA2
PWM3DCL          EQU 0x0FA3
PWM3DCLH         EQU 0x0FA4
PWM3DCH          EQU 0x0FA4
PWM3CON          EQU 0x0FA5
CCPR2            EQU 0x0FA6
CCPR2L           EQU 0x0FA6
CCPR2LH          EQU 0x0FA7
CCPR2H           EQU 0x0FA7
CCP2CON          EQU 0x0FA8
CCP2CAP          EQU 0x0FA9
CCPR1            EQU 0x0FAA
CCPR1L           EQU 0x0FAA
CCPR1LH          EQU 0x0FAB
CCPR1H           EQU 0x0FAB
CCP1CON          EQU 0x0FAC
CCP1CAP          EQU 0x0FAD
CCPTMRS          EQU 0x0FAE
T6TMR            EQU 0x0FAF
TMR6             EQU 0x0FAF
PR6              EQU 0x0FB0
T6PR             EQU 0x0FB0
T6CON            EQU 0x0FB1
T6HLT            EQU 0x0FB2
T6CLK            EQU 0x0FB3
T6CLKCON         EQU 0x0FB3
T6RST            EQU 0x0FB4
T4TMR            EQU 0x0FB5
TMR4             EQU 0x0FB5
PR4              EQU 0x0FB6
T4PR             EQU 0x0FB6
T4CON            EQU 0x0FB7
T4HLT            EQU 0x0FB8
T4CLK            EQU 0x0FB9
T4CLKCON         EQU 0x0FB9
T4RST            EQU 0x0FBA
T2TMR            EQU 0x0FBB
TMR2             EQU 0x0FBB
PR2              EQU 0x0FBC
T2PR             EQU 0x0FBC
T2CON            EQU 0x0FBD
T2HLT            EQU 0x0FBE
T2CLK            EQU 0x0FBF
T2CLKCON         EQU 0x0FBF
T2RST            EQU 0x0FC0
TMR5             EQU 0x0FC1
TMR5L            EQU 0x0FC1
TMR5LH           EQU 0x0FC2
TMR5H            EQU 0x0FC2
T5CON            EQU 0x0FC3
PR5              EQU 0x0FC4
T5GCON           EQU 0x0FC4
T5GATE           EQU 0x0FC5
TMR5GATE         EQU 0x0FC5
T5CLK            EQU 0x0FC6
TMR5CLK          EQU 0x0FC6
TMR3             EQU 0x0FC7
TMR3L            EQU 0x0FC7
TMR3LH           EQU 0x0FC8
TMR3H            EQU 0x0FC8
T3CON            EQU 0x0FC9
PR3              EQU 0x0FCA
T3GCON           EQU 0x0FCA
T3GATE           EQU 0x0FCB
TMR3GATE         EQU 0x0FCB
T3CLK            EQU 0x0FCC
TMR3CLK          EQU 0x0FCC
TMR1             EQU 0x0FCD
TMR1L            EQU 0x0FCD
TMR1LH           EQU 0x0FCE
TMR1H            EQU 0x0FCE
T1CON            EQU 0x0FCF
PR1              EQU 0x0FD0
T1GCON           EQU 0x0FD0
T1GATE           EQU 0x0FD1
TMR1GATE         EQU 0x0FD1
T1CLK            EQU 0x0FD2
TMR1CLK          EQU 0x0FD2
TMR0             EQU 0x0FD3
TMR0L            EQU 0x0FD3
PR0              EQU 0x0FD4
TMR0H            EQU 0x0FD4
T0CON0           EQU 0x0FD5
T0CON1           EQU 0x0FD6
PCON0            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F8D
PORTB            EQU 0x0F8E
PORTC            EQU 0x0F8F
PORTD            EQU 0x0F90
PORTE            EQU 0x0F91

; SSP2MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; SSP2STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP2CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP2CON2
SEN_SSP2CON2 = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP2CON3
DHEN = 0
AHEN = 1
SBCDE = 2
SDAHT = 3
BOEN = 4
SCIE = 5
PCIE = 6
ACKTIM = 7

; RC2STA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; RCSTA2
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; TX2STA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC_TX2STA = 4
TXEN = 5
TX9 = 6
CSRC = 7

; TXSTA2
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC_TXSTA2 = 4
TXEN = 5
TX9 = 6
CSRC = 7

; BAUD2CON
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCON2
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCTL2
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; PPSLOCK
PPSLOCKED = 0

; INT0PPS
PORT = 3

; INT1PPS
PORT = 3

; INT2PPS
PORT = 3

; T0CKIPPS
PORT = 3

; IPR0
INT0IP = 0
INT1IP = 1
INT2IP = 2
IOCIP = 4
TMR0IP = 5

; IPR1
ADIP = 0
ADTIP = 1
CSWIP = 6
OSCFIP = 7

; IPR2
C1IP = 0
C2IP = 1
ZCDIP = 6
HLVDIP = 7

; IPR3
SSP1IP = 0
BCL1IP = 1
SSP2IP = 2
BCL2IP = 3
TX1IP = 4
RC1IP = 5
TX2IP = 6
RC2IP = 7

; IPR4
TMR1IP = 0
TMR2IP = 1
TMR3IP = 2
TMR4IP = 3
TMR5IP = 4
TMR6IP = 5

; IPR5
TMR1GIP = 0
TMR3GIP = 1
TMR5GIP = 2

; IPR6
CCP1IP = 0
CCP2IP = 1

; IPR7
CWGIP = 0
NVMIP = 5
CRCIP = 6
SCANIP = 7
CWG1IP = 0

; PIE0
INT0IE = 0
INT1IE = 1
INT2IE = 2
IOCIE = 4
TMR0IE = 5

; PIE1
ADIE = 0
ADTIE = 1
CSWIE = 6
OSCFIE = 7

; PIE2
C1IE = 0
C2IE = 1
ZCDIE = 6
HLVDIE = 7

; PIE3
SSP1IE = 0
BCL1IE = 1
SSP2IE = 2
BCL2IE = 3
TX1IE = 4
RC1IE = 5
TX2IE = 6
RC2IE = 7

; PIE4
TMR1IE = 0
TMR2IE = 1
TMR3IE = 2
TMR4IE = 3
TMR5IE = 4
TMR6IE = 5

; PIE5
TMR1GIE = 0
TMR3GIE = 1
TMR5GIE = 2

; PIE6
CCP1IE = 0
CCP2IE = 1

; PIE7
CWGIE = 0
NVMIE = 5
CRCIE = 6
SCANIE = 7
CWG1IE = 0

; PIR0
INT0IF = 0
INT1IF = 1
INT2IF = 2
IOCIF = 4
TMR0IF = 5

; PIR1
ADIF = 0
ADTIF = 1
CSWIF = 6
OSCFIF = 7

; PIR2
C1IF = 0
C2IF = 1
ZCDIF = 6
HLVDIF = 7

; PIR3
SSP1IF = 0
BCL1IF = 1
SSP2IF = 2
BCL2IF = 3
TX1IF = 4
RC1IF = 5
TX2IF = 6
RC2IF = 7

; PIR4
TMR1IF = 0
TMR2IF = 1
TMR3IF = 2
TMR4IF = 3
TMR5IF = 4
TMR6IF = 5

; PIR5
TMR1GIF = 0
TMR3GIF = 1
TMR5GIF = 2

; PIR6
CCP1IF = 0
CCP2IF = 1

; PIR7
CWGIF = 0
NVMIF = 5
CRCIF = 6
SCANIF = 7
CWG1IF = 0

; WDTCON0
SEN_WDTCON0 = 0
SWDTEN = 0
WDTSEN = 0
WDTPS0 = 1
WDTPS1 = 2
WDTPS2 = 3
WDTPS3 = 4
WDTPS4 = 5

; WDTCON1
WINDOW0 = 0
WINDOW1 = 1
WINDOW2 = 2
WDTWINDOW0 = 0
WDTWINDOW1 = 1
WDTWINDOW2 = 2
WDTCS0 = 4
WDTCS1 = 5
WDTCS2 = 6

; WDTPSL
PSCNT0 = 0
PSCNT1 = 1
PSCNT2 = 2
PSCNT3 = 3
PSCNT4 = 4
PSCNT5 = 5
PSCNT6 = 6
PSCNT7 = 7
WDTPSCNT0 = 0
WDTPSCNT1 = 1
WDTPSCNT2 = 2
WDTPSCNT3 = 3
WDTPSCNT4 = 4
WDTPSCNT5 = 5
WDTPSCNT6 = 6
WDTPSCNT7 = 7

; WDTPSH
PSCNT8 = 0
PSCNT9 = 1
PSCNT10 = 2
PSCNT11 = 3
PSCNT12 = 4
PSCNT13 = 5
PSCNT14 = 6
PSCNT15 = 7
WDTPSCNT8 = 0
WDTPSCNT9 = 1
WDTPSCNT10 = 2
WDTPSCNT11 = 3
WDTPSCNT12 = 4
WDTPSCNT13 = 5
WDTPSCNT14 = 6
WDTPSCNT15 = 7

; WDTTMR
PSCNT16 = 0
PSCNT17 = 1
STATE = 2
WDTPSCNT16 = 0
WDTPSCNT17 = 1
WDTSTATE = 2
WDTTMR0 = 3
WDTTMR1 = 4
WDTTMR2 = 5
WDTTMR3 = 6
WDTTMR4 = 7

; CPUDOZE
DOE = 4
ROI = 5
DOZEN = 6
IDLEN = 7
DOZE0 = 0
DOZE1 = 1
DOZE2 = 2

; OSCCON1
NDIV0 = 0
NDIV1 = 1
NDIV2 = 2
NDIV3 = 3
NOSC0 = 4
NOSC1 = 5
NOSC2 = 6

; OSCCON2
CDIV0 = 0
CDIV1 = 1
CDIV2 = 2
CDIV3 = 3
COSC0 = 4
COSC1 = 5
COSC2 = 6

; OSCCON3
NOSCR = 3
ORDY = 4
SOSCPWR = 6
CSWHOLD = 7

; OSCSTAT
PLLR = 0
ADOR = 2
SOR = 3
LFOR = 4
MFOR = 5
HFOR = 6
EXTOR = 7

; OSCSTAT1
PLLR = 0
ADOR = 2
SOR = 3
LFOR = 4
MFOR = 5
HFOR = 6
EXTOR = 7

; OSCEN
ADOEN = 2
SOSCEN = 3
LFOEN = 4
MFOEN = 5
HFOEN = 6
EXTOEN = 7

; OSCTUNE
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5

; OSCFRQ
FRQ0 = 0
FRQ1 = 1
FRQ2 = 2
FRQ3 = 3

; BORCON
BORRDY = 0
SBOREN = 7

; PMD0
IOCMD = 0
CLKRMD = 1
NVMMD = 2
SCANMD = 3
CRCMD = 4
HLVDMD = 5
FVRMD = 6
SYSCMD = 7

; PMD1
TMR0MD = 0
TMR1MD = 1
TMR2MD = 2
TMR3MD = 3
TMR4MD = 4
TMR5MD = 5
TMR6MD = 6

; PMD2
ZCDMD = 0
CMP1MD = 1
CMP2MD = 2
ADCMD = 5
DACMD = 6

; PMD3
CCP1MD = 0
CCP2MD = 1
PWM3MD = 2
PWM4MD = 3

; PMD4
CWGMD = 0
MSSP1MD = 4
MSSP2MD = 5
UART1MD = 6
UART2MD = 7
CWG1MD = 0

; PMD5
DSMMD = 0

; RA0PPS
RA0PPS0 = 0
RA0PPS1 = 1
RA0PPS2 = 2
RA0PPS3 = 3
RA0PPS4 = 4

; RA1PPS
RA1PPS0 = 0
RA1PPS1 = 1
RA1PPS2 = 2
RA1PPS3 = 3
RA1PPS4 = 4

; RA2PPS
RA2PPS0 = 0
RA2PPS1 = 1
RA2PPS2 = 2
RA2PPS3 = 3
RA2PPS4 = 4

; RA3PPS
RA3PPS0 = 0
RA3PPS1 = 1
RA3PPS2 = 2
RA3PPS3 = 3
RA3PPS4 = 4

; RA4PPS
RA4PPS0 = 0
RA4PPS1 = 1
RA4PPS2 = 2
RA4PPS3 = 3
RA4PPS4 = 4

; RA5PPS
RA5PPS0 = 0
RA5PPS1 = 1
RA5PPS2 = 2
RA5PPS3 = 3
RA5PPS4 = 4

; RA6PPS
RA6PPS0 = 0
RA6PPS1 = 1
RA6PPS2 = 2
RA6PPS3 = 3
RA6PPS4 = 4

; RA7PPS
RA7PPS0 = 0
RA7PPS1 = 1
RA7PPS2 = 2
RA7PPS3 = 3
RA7PPS4 = 4

; RB0PPS
RB0PPS0 = 0
RB0PPS1 = 1
RB0PPS2 = 2
RB0PPS3 = 3
RB0PPS4 = 4

; RB1PPS
RB1PPS0 = 0
RB1PPS1 = 1
RB1PPS2 = 2
RB1PPS3 = 3
RB1PPS4 = 4

; RB2PPS
RB2PPS0 = 0
RB2PPS1 = 1
RB2PPS2 = 2
RB2PPS3 = 3
RB2PPS4 = 4

; RB3PPS
RB3PPS0 = 0
RB3PPS1 = 1
RB3PPS2 = 2
RB3PPS3 = 3
RB3PPS4 = 4

; RB4PPS
RB4PPS0 = 0
RB4PPS1 = 1
RB4PPS2 = 2
RB4PPS3 = 3
RB4PPS4 = 4

; RB5PPS
RB5PPS0 = 0
RB5PPS1 = 1
RB5PPS2 = 2
RB5PPS3 = 3
RB5PPS4 = 4

; RB6PPS
RB6PPS0 = 0
RB6PPS1 = 1
RB6PPS2 = 2
RB6PPS3 = 3
RB6PPS4 = 4

; RB7PPS
RB7PPS0 = 0
RB7PPS1 = 1
RB7PPS2 = 2
RB7PPS3 = 3
RB7PPS4 = 4

; RC0PPS
RC0PPS0 = 0
RC0PPS1 = 1
RC0PPS2 = 2
RC0PPS3 = 3
RC0PPS4 = 4

; RC1PPS
RC1PPS0 = 0
RC1PPS1 = 1
RC1PPS2 = 2
RC1PPS3 = 3
RC1PPS4 = 4

; RC2PPS
RC2PPS0 = 0
RC2PPS1 = 1
RC2PPS2 = 2
RC2PPS3 = 3
RC2PPS4 = 4

; RC3PPS
RC3PPS0 = 0
RC3PPS1 = 1
RC3PPS2 = 2
RC3PPS3 = 3
RC3PPS4 = 4

; RC4PPS
RC4PPS0 = 0
RC4PPS1 = 1
RC4PPS2 = 2
RC4PPS3 = 3
RC4PPS4 = 4

; RC5PPS
RC5PPS0 = 0
RC5PPS1 = 1
RC5PPS2 = 2
RC5PPS3 = 3
RC5PPS4 = 4

; RC6PPS
RC6PPS0 = 0
RC6PPS1 = 1
RC6PPS2 = 2
RC6PPS3 = 3
RC6PPS4 = 4

; RC7PPS
RC7PPS0 = 0
RC7PPS1 = 1
RC7PPS2 = 2
RC7PPS3 = 3
RC7PPS4 = 4

; RD0PPS
RD0PPS0 = 0
RD0PPS1 = 1
RD0PPS2 = 2
RD0PPS3 = 3
RD0PPS4 = 4

; RD1PPS
RD1PPS0 = 0
RD1PPS1 = 1
RD1PPS2 = 2
RD1PPS3 = 3
RD1PPS4 = 4

; RD2PPS
RD2PPS0 = 0
RD2PPS1 = 1
RD2PPS2 = 2
RD2PPS3 = 3
RD2PPS4 = 4

; RD3PPS
RD3PPS0 = 0
RD3PPS1 = 1
RD3PPS2 = 2
RD3PPS3 = 3
RD3PPS4 = 4

; RD4PPS
RD4PPS0 = 0
RD4PPS1 = 1
RD4PPS2 = 2
RD4PPS3 = 3
RD4PPS4 = 4

; RD5PPS
RD5PPS0 = 0
RD5PPS1 = 1
RD5PPS2 = 2
RD5PPS3 = 3
RD5PPS4 = 4

; RD6PPS
RD6PPS0 = 0
RD6PPS1 = 1
RD6PPS2 = 2
RD6PPS3 = 3
RD6PPS4 = 4

; RD7PPS
RD7PPS0 = 0
RD7PPS1 = 1
RD7PPS2 = 2
RD7PPS3 = 3
RD7PPS4 = 4

; RE0PPS
RE0PPS0 = 0
RE0PPS1 = 1
RE0PPS2 = 2
RE0PPS3 = 3
RE0PPS4 = 4

; RE1PPS
RE1PPS0 = 0
RE1PPS1 = 1
RE1PPS2 = 2
RE1PPS3 = 3
RE1PPS4 = 4

; RE2PPS
RE2PPS0 = 0
RE2PPS1 = 1
RE2PPS2 = 2
RE2PPS3 = 3
RE2PPS4 = 4

; IOCAF
IOCAF0 = 0
IOCAF1 = 1
IOCAF2 = 2
IOCAF3 = 3
IOCAF4 = 4
IOCAF5 = 5
IOCAF6 = 6
IOCAF7 = 7

; IOCAN
IOCAN0 = 0
IOCAN1 = 1
IOCAN2 = 2
IOCAN3 = 3
IOCAN4 = 4
IOCAN5 = 5
IOCAN6 = 6
IOCAN7 = 7

; IOCAP
IOCAP0 = 0
IOCAP1 = 1
IOCAP2 = 2
IOCAP3 = 3
IOCAP4 = 4
IOCAP5 = 5
IOCAP6 = 6
IOCAP7 = 7

; INLVLA
INLVLA0 = 0
INLVLA1 = 1
INLVLA2 = 2
INLVLA3 = 3
INLVLA4 = 4
INLVLA5 = 5
INLVLA6 = 6
INLVLA7 = 7

; SLRCONA
SLRA0 = 0
SLRA1 = 1
SLRA2 = 2
SLRA3 = 3
SLRA4 = 4
SLRA5 = 5
SLRA6 = 6
SLRA7 = 7

; ODCONA
ODCA0 = 0
ODCA1 = 1
ODCA2 = 2
ODCA3 = 3
ODCA4 = 4
ODCA5 = 5
ODCA6 = 6
ODCA7 = 7

; WPUA
WPUA0 = 0
WPUA1 = 1
WPUA2 = 2
WPUA3 = 3
WPUA4 = 4
WPUA5 = 5
WPUA6 = 6
WPUA7 = 7

; ANSELA
ANSELA0 = 0
ANSELA1 = 1
ANSELA2 = 2
ANSELA3 = 3
ANSELA4 = 4
ANSELA5 = 5
ANSELA6 = 6
ANSELA7 = 7

; IOCBF
IOCBF0 = 0
IOCBF1 = 1
IOCBF2 = 2
IOCBF3 = 3
IOCBF4 = 4
IOCBF5 = 5
IOCBF6 = 6
IOCBF7 = 7

; IOCBN
IOCBN0 = 0
IOCBN1 = 1
IOCBN2 = 2
IOCBN3 = 3
IOCBN4 = 4
IOCBN5 = 5
IOCBN6 = 6
IOCBN7 = 7

; IOCBP
IOCBP0 = 0
IOCBP1 = 1
IOCBP2 = 2
IOCBP3 = 3
IOCBP4 = 4
IOCBP5 = 5
IOCBP6 = 6
IOCBP7 = 7

; INLVLB
INLVLB0 = 0
INLVLB1 = 1
INLVLB2 = 2
INLVLB3 = 3
INLVLB4 = 4
INLVLB5 = 5
INLVLB6 = 6
INLVLB7 = 7

; SLRCONB
SLRB0 = 0
SLRB1 = 1
SLRB2 = 2
SLRB3 = 3
SLRB4 = 4
SLRB5 = 5
SLRB6 = 6
SLRB7 = 7

; ODCONB
ODCB0 = 0
ODCB1 = 1
ODCB2 = 2
ODCB3 = 3
ODCB4 = 4
ODCB5 = 5
ODCB6 = 6
ODCB7 = 7

; WPUB
WPUB0 = 0
WPUB1 = 1
WPUB2 = 2
WPUB3 = 3
WPUB4 = 4
WPUB5 = 5
WPUB6 = 6
WPUB7 = 7

; ANSELB
ANSELB0 = 0
ANSELB1 = 1
ANSELB2 = 2
ANSELB3 = 3
ANSELB4 = 4
ANSELB5 = 5
ANSELB6 = 6
ANSELB7 = 7

; IOCCF
IOCCF0 = 0
IOCCF1 = 1
IOCCF2 = 2
IOCCF3 = 3
IOCCF4 = 4
IOCCF5 = 5
IOCCF6 = 6
IOCCF7 = 7

; IOCCN
IOCCN0 = 0
IOCCN1 = 1
IOCCN2 = 2
IOCCN3 = 3
IOCCN4 = 4
IOCCN5 = 5
IOCCN6 = 6
IOCCN7 = 7

; IOCCP
IOCCP0 = 0
IOCCP1 = 1
IOCCP2 = 2
IOCCP3 = 3
IOCCP4 = 4
IOCCP5 = 5
IOCCP6 = 6
IOCCP7 = 7

; INLVLC
INLVLC0 = 0
INLVLC1 = 1
INLVLC2 = 2
INLVLC3 = 3
INLVLC4 = 4
INLVLC5 = 5
INLVLC6 = 6
INLVLC7 = 7

; SLRCONC
SLRC0 = 0
SLRC1 = 1
SLRC2 = 2
SLRC3 = 3
SLRC4 = 4
SLRC5 = 5
SLRC6 = 6
SLRC7 = 7

; ODCONC
ODCC0 = 0
ODCC1 = 1
ODCC2 = 2
ODCC3 = 3
ODCC4 = 4
ODCC5 = 5
ODCC6 = 6
ODCC7 = 7

; WPUC
WPUC0 = 0
WPUC1 = 1
WPUC2 = 2
WPUC3 = 3
WPUC4 = 4
WPUC5 = 5
WPUC6 = 6
WPUC7 = 7

; ANSELC
ANSELC0 = 0
ANSELC1 = 1
ANSELC2 = 2
ANSELC3 = 3
ANSELC4 = 4
ANSELC5 = 5
ANSELC6 = 6
ANSELC7 = 7

; INLVLD
INLVLD0 = 0
INLVLD1 = 1
INLVLD2 = 2
INLVLD3 = 3
INLVLD4 = 4
INLVLD5 = 5
INLVLD6 = 6
INLVLD7 = 7

; SLRCOND
SLRD0 = 0
SLRD1 = 1
SLRD2 = 2
SLRD3 = 3
SLRD4 = 4
SLRD5 = 5
SLRD6 = 6
SLRD7 = 7

; ODCOND
ODCD0 = 0
ODCD1 = 1
ODCD2 = 2
ODCD3 = 3
ODCD4 = 4
ODCD5 = 5
ODCD6 = 6
ODCD7 = 7

; WPUD
WPUD0 = 0
WPUD1 = 1
WPUD2 = 2
WPUD3 = 3
WPUD4 = 4
WPUD5 = 5
WPUD6 = 6
WPUD7 = 7

; ANSELD
ANSELD0 = 0
ANSELD1 = 1
ANSELD2 = 2
ANSELD3 = 3
ANSELD4 = 4
ANSELD5 = 5
ANSELD6 = 6
ANSELD7 = 7

; IOCEF
IOCEF3 = 3

; IOCEN
IOCEN3 = 3

; IOCEP
IOCEP3 = 3

; INLVLE
INLVLE0 = 0
INLVLE1 = 1
INLVLE2 = 2
INLVLE3 = 3

; SLRCONE
SLRE0 = 0
SLRE1 = 1
SLRE2 = 2

; ODCONE
ODCE0 = 0
ODCE1 = 1
ODCE2 = 2

; WPUE
WPUE0 = 0
WPUE1 = 1
WPUE2 = 2
WPUE3 = 3

; ANSELE
ANSELE0 = 0
ANSELE1 = 1
ANSELE2 = 2

; HLVDCON0
INTL = 0
INTH = 1
RDY_HLVDCON0 = 4
OUT_HLVDCON0 = 5
EN = 7
HLVDINTL = 0
HLVDINTH = 1
HLVDRDY = 4
HLVDOUT = 5
HLVDEN = 7

; HLVDCON1
SEL0 = 0
SEL1 = 1
SEL2 = 2
SEL3 = 3
HLVDSEL0 = 0
HLVDSEL1 = 1
HLVDSEL2 = 2
HLVDSEL3 = 3

; FVRCON
TSRNG = 4
TSEN = 5
RDY_FVRCON = 6
EN = 7
ADFVR0 = 0
ADFVR1 = 1
CDAFVR0 = 2
CDAFVR1 = 3
FVRRDY = 6
FVREN = 7

; ZCDCON
INTN = 0
INTP = 1
POL = 4
OUT_ZCDCON = 5
SEN_ZCDCON = 7
ZCDINTN = 0
ZCDINTP = 1
ZCDPOL = 4
ZCDOUT = 5
ZCDSEN = 7

; DAC1CON0
NSS = 0
OE2 = 4
OE1 = 5
EN = 7
DAC1NSS = 0
DAC1PSS0 = 2
DAC1PSS1 = 3
DAC1OE2 = 4
DAC1OE1 = 5
DAC1EN = 7
PSS0 = 2
PSS1 = 3

; DAC1CON1
DAC1R0 = 0
DAC1R1 = 1
DAC1R2 = 2
DAC1R3 = 3
DAC1R4 = 4

; CM2CON0
SYNC_CM2CON0 = 0
HYS = 1
POL = 4
OUT_CM2CON0 = 6
EN = 7
C2SYNC = 0
C2HYS = 1
C2POL = 4
C2OUT = 6
C2EN = 7

; CM2CON1
INTN = 0
INTP = 1
C2INTN = 0
C2INTP = 1

; CM2NCH
NCH0 = 0
NCH1 = 1
NCH2 = 2
C2NCH0 = 0
C2NCH1 = 1
C2NCH2 = 2

; CM2PCH
PCH0 = 0
PCH1 = 1
PCH2 = 2
C2PCH0 = 0
C2PCH1 = 1
C2PCH2 = 2

; CM1CON0
SYNC_CM1CON0 = 0
HYS = 1
POL = 4
OUT_CM1CON0 = 6
EN = 7
C1SYNC = 0
C1HYS = 1
C1POL = 4
C1OUT = 6
C1EN = 7

; CM1CON1
INTN = 0
INTP = 1
C1INTN = 0
C1INTP = 1

; CM1NCH
NCH0 = 0
NCH1 = 1
NCH2 = 2
C1NCH0 = 0
C1NCH1 = 1
C1NCH2 = 2

; CM1PCH
PCH0 = 0
PCH1 = 1
PCH2 = 2
C1PCH0 = 0
C1PCH1 = 1
C1PCH2 = 2

; CMOUT
MC1OUT = 0
MC2OUT = 1

; CLKRCON
EN = 7
CLKRDIV0 = 0
CLKRDIV1 = 1
CLKRDIV2 = 2
CLKRDC0 = 3
CLKRDC1 = 4
CLKREN = 7
DIV0 = 0
DIV1 = 1
DIV2 = 2
DC0_CLKRCON = 3
DC1_CLKRCON = 4

; CLKRCLK
CLKRCLK0 = 0
CLKRCLK1 = 1
CLKRCLK2 = 2
CLK0 = 0
CLK1 = 1
CLK2 = 2

; CWG1CLK
CS = 0
CWG1CS = 0

; CWG1CLKCON
CS = 0
CWG1CS = 0

; CWG1ISM
CWG1ISM0 = 0
CWG1ISM1 = 1
CWG1ISM2 = 2
CWG1ISM3 = 3

; CWG1DBR
DBR0 = 0
DBR1 = 1
DBR2 = 2
DBR3 = 3
DBR4 = 4
DBR5 = 5
CWG1DBR0 = 0
CWG1DBR1 = 1
CWG1DBR2 = 2
CWG1DBR3 = 3
CWG1DBR4 = 4
CWG1DBR5 = 5

; CWG1DBF
DBF0 = 0
DBF1 = 1
DBF2 = 2
DBF3 = 3
DBF4 = 4
DBF5 = 5
CWG1DBF0 = 0
CWG1DBF1 = 1
CWG1DBF2 = 2
CWG1DBF3 = 3
CWG1DBF4 = 4
CWG1DBF5 = 5

; CWG1CON0
LD = 6
EN = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
G1EN = 7
CWG1LD = 6
CWG1EN = 7
CWG1MODE0 = 0
CWG1MODE1 = 1
CWG1MODE2 = 2

; CWG1CON1
POLA = 0
POLB = 1
POLC = 2
POLD = 3
IN = 5
CWG1POLA = 0
CWG1POLB = 1
CWG1POLC = 2
CWG1POLD = 3
CWG1IN = 5

; CWG1AS0
REN = 6
SHUTDOWN = 7
LSAC0 = 2
LSAC1 = 3
LSBD0 = 4
LSBD1 = 5
CWG1REN = 6
CWG1SHUTDOWN = 7
CWG1LSAC0 = 2
CWG1LSAC1 = 3
CWG1LSBD0 = 4
CWG1LSBD1 = 5

; CWG1AS1
AS0E = 0
AS1E = 1
AS2E = 2
AS3E = 3
AS4E = 4
AS5E = 5

; CWG1STR
STRA = 0
STRB = 1
STRC = 2
STRD = 3
OVRA = 4
OVRB = 5
OVRC = 6
OVRD = 7
CWG1STRA = 0
CWG1STRB = 1
CWG1STRC = 2
CWG1STRD = 3
CWG1OVRA = 4
CWG1OVRB = 5
CWG1OVRC = 6
CWG1OVRD = 7

; SCANLADRL
LADR0 = 0
LADR1 = 1
LADR2 = 2
LADR3 = 3
LADR4 = 4
LADR5 = 5
LADR6 = 6
LADR7 = 7
SCANLADR0 = 0
SCANLADR1 = 1
SCANLADR2 = 2
SCANLADR3 = 3
SCANLADR4 = 4
SCANLADR5 = 5
SCANLADR6 = 6
SCANLADR7 = 7

; SCANLADRH
LADR8 = 0
LADR9 = 1
LADR10 = 2
LADR11 = 3
LADR12 = 4
LADR13 = 5
LADR14 = 6
LADR15 = 7
SCANLADR8 = 0
SCANLADR9 = 1
SCANLADR10 = 2
SCANLADR11 = 3
SCANLADR12 = 4
SCANLADR13 = 5
SCANLADR14 = 6
SCANLADR15 = 7

; SCANLADRU
LADR16 = 0
LADR17 = 1
LADR18 = 2
LADR19 = 3
LADR20 = 4
LADR21 = 5
SCANLADR16 = 0
SCANLADR17 = 1
SCANLADR18 = 2
SCANLADR19 = 3
SCANLADR20 = 4
SCANLADR21 = 5

; SCANHADRL
HADR0 = 0
HADR1 = 1
HADR2 = 2
HADR3 = 3
HADR4 = 4
HADR5 = 5
HADR6 = 6
HADR7 = 7
SCANHADR0 = 0
SCANHADR1 = 1
SCANHADR2 = 2
SCANHADR3 = 3
SCANHADR4 = 4
SCANHADR5 = 5
SCANHADR6 = 6
SCANHADR7 = 7

; SCANHADRH
HADR8 = 0
HADR9 = 1
HADR10 = 2
HADR11 = 3
HADR12 = 4
HADR13 = 5
HADR14 = 6
HADR15 = 7
SCANHADR8 = 0
SCANHADR9 = 1
SCANHADR10 = 2
SCANHADR11 = 3
SCANHADR12 = 4
SCANHADR13 = 5
SCANHADR14 = 6
SCANHADR15 = 7

; SCANHADRU
HADR16 = 0
HADR17 = 1
HADR18 = 2
HADR19 = 3
HADR20 = 4
HADR21 = 5
SCANHADR16 = 0
SCANHADR17 = 1
SCANHADR18 = 2
SCANHADR19 = 3
SCANHADR20 = 4
SCANHADR21 = 5

; SCANCON0
INTM = 3
INVALID = 4
BUSY = 5
GO_SCANCON0 = 6
EN = 7
MODE0 = 0
MODE1 = 1
SCANINTM = 3
SCANINVALID = 4
SCANBUSY = 5
SCANGO = 6
SCANEN = 7
SCANMODE0 = 0
SCANMODE1 = 1
DABORT = 4

; SCANTRIG
TSEL0 = 0
TSEL1 = 1
TSEL2 = 2
TSEL3 = 3
SCANTSEL0 = 0
SCANTSEL1 = 1
SCANTSEL2 = 2
SCANTSEL3 = 3

; MDCON0
BIT = 0
OPOL = 4
OUT_MDCON0 = 5
EN = 7
MDBIT = 0
MDOPOL = 4
MDOUT = 5
MDEN = 7

; MDCON1
CLSYNC = 0
CLPOL = 1
CHSYNC = 4
CHPOL = 5
MDCLSYNC = 0
MDCLPOL = 1
MDCHSYNC = 4
MDCHPOL = 5

; MDSRC
SRCS0 = 0
SRCS1 = 1
SRCS2 = 2
SRCS3 = 3
MDSRCS0 = 0
MDSRCS1 = 1
MDSRCS2 = 2
MDSRCS3 = 3

; MDCARL
CLS0 = 0
CLS1 = 1
CLS2 = 2
MDCLS0 = 0
MDCLS1 = 1
MDCLS2 = 2

; MDCARH
CHS0 = 0
CHS1 = 1
CHS2 = 2
MDCHS0 = 0
MDCHS1 = 1
MDCHS2 = 2

; ADACT
ADACT0 = 0
ADACT1 = 1
ADACT2 = 2
ADACT3 = 3
ADACT4 = 4

; ADCLK
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ADCS3 = 3
ADCS4 = 4
ADCS5 = 5

; ADREF
ADNREF = 4
ADPREF0 = 0
ADPREF1 = 1

; ADCON1
ADDSEN = 0
ADGPOL = 5
ADIPEN = 6
ADPPOL = 7

; ADCON2
ADACLR = 3
ADPSIS = 7
ADMD0 = 0
ADMD1 = 1
ADMD2 = 2
ADCRS0 = 4
ADCRS1 = 5
ADCRS2 = 6

; ADCON3
ADSOI = 3
ADTMD0 = 0
ADTMD1 = 1
ADTMD2 = 2
ADCALC0 = 4
ADCALC1 = 5
ADCALC2 = 6

; ADACQ
ADACQ0 = 0
ADACQ1 = 1
ADACQ2 = 2
ADACQ3 = 3
ADACQ4 = 4
ADACQ5 = 5
ADACQ6 = 6
ADACQ7 = 7

; ADCAP
ADCAP0 = 0
ADCAP1 = 1
ADCAP2 = 2
ADCAP3 = 3
ADCAP4 = 4

; ADPRE
ADPRE0 = 0
ADPRE1 = 1
ADPRE2 = 2
ADPRE3 = 3
ADPRE4 = 4
ADPRE5 = 5
ADPRE6 = 6
ADPRE7 = 7

; ADPCH
ADPCH0 = 0
ADPCH1 = 1
ADPCH2 = 2
ADPCH3 = 3
ADPCH4 = 4
ADPCH5 = 5

; ADCON0
ADGO = 0
ADFM = 2
ADCS = 4
ADCONT = 6
ADON = 7
GO_ADCON0 = 0
ADFM0 = 2
DONE = 0
GO_NOT_DONE = 0

; ADPREVL
ADPREV0 = 0
ADPREV1 = 1
ADPREV2 = 2
ADPREV3 = 3
ADPREV4 = 4
ADPREV5 = 5
ADPREV6 = 6
ADPREV7 = 7

; ADPREVH
ADPREV8 = 0
ADPREV9 = 1
ADPREV10 = 2
ADPREV11 = 3
ADPREV12 = 4
ADPREV13 = 5
ADPREV14 = 6
ADPREV15 = 7

; ADRESL
ADRES0 = 0
ADRES1 = 1
ADRES2 = 2
ADRES3 = 3
ADRES4 = 4
ADRES5 = 5
ADRES6 = 6
ADRES7 = 7

; ADRESH
ADRES8 = 0
ADRES9 = 1
ADRES10 = 2
ADRES11 = 3
ADRES12 = 4
ADRES13 = 5
ADRES14 = 6
ADRES15 = 7

; ADSTAT
ADMATH = 4
ADLTHR = 5
ADUTHR = 6
ADAOV = 7
ADSTAT0 = 0
ADSTAT1 = 1
ADSTAT2 = 2

; ADRPT
ADRPT0 = 0
ADRPT1 = 1
ADRPT2 = 2
ADRPT3 = 3
ADRPT4 = 4
ADRPT5 = 5
ADRPT6 = 6
ADRPT7 = 7

; ADCNT
ADCNT0 = 0
ADCNT1 = 1
ADCNT2 = 2
ADCNT3 = 3
ADCNT4 = 4
ADCNT5 = 5
ADCNT6 = 6
ADCNT7 = 7

; ADSTPTL
ADSTPT0 = 0
ADSTPT1 = 1
ADSTPT2 = 2
ADSTPT3 = 3
ADSTPT4 = 4
ADSTPT5 = 5
ADSTPT6 = 6
ADSTPT7 = 7

; ADSTPTH
ADSTPT8 = 0
ADSTPT9 = 1
ADSTPT10 = 2
ADSTPT11 = 3
ADSTPT12 = 4
ADSTPT13 = 5
ADSTPT14 = 6
ADSTPT15 = 7

; ADLTHL
ADLTH0 = 0
ADLTH1 = 1
ADLTH2 = 2
ADLTH3 = 3
ADLTH4 = 4
ADLTH5 = 5
ADLTH6 = 6
ADLTH7 = 7

; ADLTHH
ADLTH8 = 0
ADLTH9 = 1
ADLTH10 = 2
ADLTH11 = 3
ADLTH12 = 4
ADLTH13 = 5
ADLTH14 = 6
ADLTH15 = 7

; ADUTHL
ADUTH0 = 0
ADUTH1 = 1
ADUTH2 = 2
ADUTH3 = 3
ADUTH4 = 4
ADUTH5 = 5
ADUTH6 = 6
ADUTH7 = 7

; ADUTHH
ADUTH8 = 0
ADUTH9 = 1
ADUTH10 = 2
ADUTH11 = 3
ADUTH12 = 4
ADUTH13 = 5
ADUTH14 = 6
ADUTH15 = 7

; ADERRL
ADERR0 = 0
ADERR1 = 1
ADERR2 = 2
ADERR3 = 3
ADERR4 = 4
ADERR5 = 5
ADERR6 = 6
ADERR7 = 7

; ADERRH
ADERR8 = 0
ADERR9 = 1
ADERR10 = 2
ADERR11 = 3
ADERR12 = 4
ADERR13 = 5
ADERR14 = 6
ADERR15 = 7

; ADACCL
ADACC0 = 0
ADACC1 = 1
ADACC2 = 2
ADACC3 = 3
ADACC4 = 4
ADACC5 = 5
ADACC6 = 6
ADACC7 = 7

; ADACCH
ADACC8 = 0
ADACC9 = 1
ADACC10 = 2
ADACC11 = 3
ADACC12 = 4
ADACC13 = 5
ADACC14 = 6
ADACC15 = 7

; ADFLTRL
ADFLTR0 = 0
ADFLTR1 = 1
ADFLTR2 = 2
ADFLTR3 = 3
ADFLTR4 = 4
ADFLTR5 = 5
ADFLTR6 = 6
ADFLTR7 = 7

; ADFLTRH
ADFLTR8 = 0
ADFLTR9 = 1
ADFLTR10 = 2
ADFLTR11 = 3
ADFLTR12 = 4
ADFLTR13 = 5
ADFLTR14 = 6
ADFLTR15 = 7

; CRCDATL
DATA0 = 0
DATA1 = 1
DATA2 = 2
DATA3 = 3
DATA4 = 4
DATA5 = 5
DATA6 = 6
DATA7 = 7

; CRCDATH
DATA8 = 0
DATA9 = 1
DATA10 = 2
DATA11 = 3
DATA12 = 4
DATA13 = 5
DATA14 = 6
DATA15 = 7

; CRCACCL
ACC0 = 0
ACC1 = 1
ACC2 = 2
ACC3 = 3
ACC4 = 4
ACC5 = 5
ACC6 = 6
ACC7 = 7

; CRCACCH
ACC8 = 0
ACC9 = 1
ACC10 = 2
ACC11 = 3
ACC12 = 4
ACC13 = 5
ACC14 = 6
ACC15 = 7

; CRCSHIFTL
SHFT0 = 0
SHFT1 = 1
SHFT2 = 2
SHFT3 = 3
SHFT4 = 4
SHFT5 = 5
SHFT6 = 6
SHFT7 = 7

; CRCSHIFTH
SHFT8 = 0
SHFT9 = 1
SHFT10 = 2
SHFT11 = 3
SHFT12 = 4
SHFT13 = 5
SHFT14 = 6
SHFT15 = 7

; CRCXORL
X1 = 1
X2 = 2
X3 = 3
X4 = 4
X5 = 5
X6 = 6
X7 = 7

; CRCXORH
X8 = 0
X9 = 1
X10 = 2
X11 = 3
X12 = 4
X13 = 5
X14 = 6
X15 = 7

; CRCCON0
FULL = 0
SHIFTM = 1
ACCM = 4
BUSY = 5
CRCGO = 6
EN = 7
CRCEN = 7

; CRCCON1
PLEN0 = 0
PLEN1 = 1
PLEN2 = 2
PLEN3 = 3
DLEN0 = 4
DLEN1 = 5
DLEN2 = 6
DLEN3 = 7

; NVMADR
ADR0 = 0
ADR1 = 1
ADR2 = 2
ADR3 = 3
ADR4 = 4
ADR5 = 5
ADR6 = 6
ADR7 = 7
NVMADR0 = 0
NVMADR1 = 1
NVMADR2 = 2
NVMADR3 = 3
NVMADR4 = 4
NVMADR5 = 5
NVMADR6 = 6
NVMADR7 = 7

; NVMADRL
ADR0 = 0
ADR1 = 1
ADR2 = 2
ADR3 = 3
ADR4 = 4
ADR5 = 5
ADR6 = 6
ADR7 = 7
NVMADR0 = 0
NVMADR1 = 1
NVMADR2 = 2
NVMADR3 = 3
NVMADR4 = 4
NVMADR5 = 5
NVMADR6 = 6
NVMADR7 = 7

; NVMADRH
NVMADR8 = 0
NVMADR9 = 1
ADR8 = 0
ADR9 = 1

; NVMDAT
NVMDAT0 = 0
NVMDAT1 = 1
NVMDAT2 = 2
NVMDAT3 = 3
NVMDAT4 = 4
NVMDAT5 = 5
NVMDAT6 = 6
NVMDAT7 = 7

; NVMCON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
NVMREG0 = 6
NVMREG1 = 7

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC3 = 3
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; LATD
LATD0 = 0
LATD1 = 1
LATD2 = 2
LATD3 = 3
LATD4 = 4
LATD5 = 5
LATD6 = 6
LATD7 = 7

; LATE
LATE0 = 0
LATE1 = 1
LATE2 = 2

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC3 = 3
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7

; DDRD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7

; TRISD
TRISD0 = 0
TRISD1 = 1
TRISD2 = 2
TRISD3 = 3
TRISD4 = 4
TRISD5 = 5
TRISD6 = 6
TRISD7 = 7

; DDRE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2

; TRISE
TRISE0 = 0
TRISE1 = 1
TRISE2 = 2

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC3 = 3
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7

; PORTD
RD0 = 0
RD1 = 1
RD2 = 2
RD3 = 3
RD4 = 4
RD5 = 5
RD6 = 6
RD7 = 7

; PORTE
RE0 = 0
RE1 = 1
RE2 = 2
RE3 = 3

; SSP1MSK
MSK0 = 0
MSK1 = 1
MSK2 = 2
MSK3 = 3
MSK4 = 4
MSK5 = 5
MSK6 = 6
MSK7 = 7

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7
R_W = 2
D_A = 5
NOT_W = 2
NOT_A = 5
NOT_WRITE = 2
NOT_ADDRESS = 5
READ_WRITE = 2
DATA_ADDRESS = 5
I2C_READ = 2
I2C_START = 3
I2C_STOP = 4
I2C_DAT = 5

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1CON2
SEN_SSP1CON2 = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7
ADMSK1 = 1
ADMSK2 = 2
ADMSK3 = 3
ADMSK4 = 4
ADMSK5 = 5

; SSP1CON3
DHEN = 0
AHEN = 1
SBCDE = 2
SDAHT = 3
BOEN = 4
SCIE = 5
PCIE = 6
ACKTIM = 7

; RC1STA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7

; TX1STA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC_TX1STA = 4
TXEN = 5
TX9 = 6
CSRC = 7

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC_TXSTA = 4
TXEN = 5
TX9 = 6
CSRC = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC_TXSTA1 = 4
TXEN = 5
TX9 = 6
CSRC = 7

; BAUD1CON
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; BAUDCTL1
ABDEN = 0
WUE = 1
BRG16 = 3
SCKP = 4
RCIDL = 6
ABDOVF = 7

; PWM4DCL
DC0_PWM4DCL = 6
DC1_PWM4DCL = 7
PWM4DC0 = 6
PWM4DC1 = 7
PWMPW0 = 6
PWMPW1 = 7

; PWM4DCH
DC2 = 0
DC3 = 1
DC4 = 2
DC5 = 3
DC6 = 4
DC7 = 5
DC8 = 6
DC9 = 7
PWM4DC2 = 0
PWM4DC3 = 1
PWM4DC4 = 2
PWM4DC5 = 3
PWM4DC6 = 4
PWM4DC7 = 5
PWM4DC8 = 6
PWM4DC9 = 7
PWMPW2 = 0
PWMPW3 = 1
PWMPW4 = 2
PWMPW5 = 3
PWMPW6 = 4
PWMPW7 = 5
PWMPW8 = 6
PWMPW9 = 7

; PWM4CON
POL = 4
OUT_PWM4CON = 5
EN = 7
PWM4POL = 4
PWM4OUT = 5
PWM4EN = 7

; PWM3DCL
DC0_PWM3DCL = 6
DC1_PWM3DCL = 7
PWM3DC0 = 6
PWM3DC1 = 7
PWMPW0 = 6
PWMPW1 = 7

; PWM3DCH
DC2 = 0
DC3 = 1
DC4 = 2
DC5 = 3
DC6 = 4
DC7 = 5
DC8 = 6
DC9 = 7
PWM3DC2 = 0
PWM3DC3 = 1
PWM3DC4 = 2
PWM3DC5 = 3
PWM3DC6 = 4
PWM3DC7 = 5
PWM3DC8 = 6
PWM3DC9 = 7
PWMPW2 = 0
PWMPW3 = 1
PWMPW4 = 2
PWMPW5 = 3
PWMPW6 = 4
PWMPW7 = 5
PWMPW8 = 6
PWMPW9 = 7

; PWM3CON
POL = 4
OUT_PWM3CON = 5
EN = 7
PWM3POL = 4
PWM3OUT = 5
PWM3EN = 7

; CCP2CON
FMT = 4
OUT_CCP2CON = 5
EN = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
MODE3 = 3
CCP2FMT = 4
CCP2OUT = 5
CCP2EN = 7
CCP2MODE0 = 0
CCP2MODE1 = 1
CCP2MODE2 = 2
CCP2MODE3 = 3

; CCP2CAP
CTS0 = 0
CTS1 = 1
CCP2CTS0 = 0
CCP2CTS1 = 1

; CCP1CON
FMT = 4
OUT_CCP1CON = 5
EN = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
MODE3 = 3
CCP1FMT = 4
CCP1OUT = 5
CCP1EN = 7
CCP1MODE0 = 0
CCP1MODE1 = 1
CCP1MODE2 = 2
CCP1MODE3 = 3

; CCP1CAP
CTS0 = 0
CTS1 = 1
CCP1CTS0 = 0
CCP1CTS1 = 1

; CCPTMRS
C1TSEL0 = 0
C1TSEL1 = 1
C2TSEL0 = 2
C2TSEL1 = 3
P3TSEL0 = 4
P3TSEL1 = 5
P4TSEL0 = 6
P4TSEL1 = 7

; T6CON
ON_T6CON = 7
T6ON = 7
T6OUTPS0 = 0
T6OUTPS1 = 1
T6OUTPS2 = 2
T6OUTPS3 = 3
T6CKPS0 = 4
T6CKPS1 = 5
T6CKPS2 = 6
OUTPS0 = 0
OUTPS1 = 1
OUTPS2 = 2
OUTPS3 = 3
CKPS0 = 4
CKPS1 = 5
CKPS2 = 6
TMR6ON = 7

; T6HLT
CKSYNC = 5
CKPOL = 6
PSYNC = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
MODE3 = 3
MODE4 = 4
T6CKSYNC = 5
T6CKPOL = 6
T6PSYNC = 7
T6MODE0 = 0
T6MODE1 = 1
T6MODE2 = 2
T6MODE3 = 3
T6MODE4 = 4

; T6CLK
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T6CS0 = 0
T6CS1 = 1
T6CS2 = 2
T6CS3 = 3

; T6CLKCON
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T6CS0 = 0
T6CS1 = 1
T6CS2 = 2
T6CS3 = 3

; T6RST
RSEL0 = 0
RSEL1 = 1
RSEL2 = 2
RSEL3 = 3
T6RSEL0 = 0
T6RSEL1 = 1
T6RSEL2 = 2
T6RSEL3 = 3

; T4CON
ON_T4CON = 7
T4ON = 7
T4OUTPS0 = 0
T4OUTPS1 = 1
T4OUTPS2 = 2
T4OUTPS3 = 3
T4CKPS0 = 4
T4CKPS1 = 5
T4CKPS2 = 6
OUTPS0 = 0
OUTPS1 = 1
OUTPS2 = 2
OUTPS3 = 3
CKPS0 = 4
CKPS1 = 5
CKPS2 = 6
TMR4ON = 7

; T4HLT
CKSYNC = 5
CKPOL = 6
PSYNC = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
MODE3 = 3
MODE4 = 4
T4CKSYNC = 5
T4CKPOL = 6
T4PSYNC = 7
T4MODE0 = 0
T4MODE1 = 1
T4MODE2 = 2
T4MODE3 = 3
T4MODE4 = 4

; T4CLK
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T4CS0 = 0
T4CS1 = 1
T4CS2 = 2
T4CS3 = 3

; T4CLKCON
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T4CS0 = 0
T4CS1 = 1
T4CS2 = 2
T4CS3 = 3

; T4RST
RSEL0 = 0
RSEL1 = 1
RSEL2 = 2
RSEL3 = 3
T4RSEL0 = 0
T4RSEL1 = 1
T4RSEL2 = 2
T4RSEL3 = 3

; T2CON
ON_T2CON = 7
T2ON = 7
T2OUTPS0 = 0
T2OUTPS1 = 1
T2OUTPS2 = 2
T2OUTPS3 = 3
T2CKPS0 = 4
T2CKPS1 = 5
T2CKPS2 = 6
OUTPS0 = 0
OUTPS1 = 1
OUTPS2 = 2
OUTPS3 = 3
CKPS0 = 4
CKPS1 = 5
CKPS2 = 6
TMR2ON = 7

; T2HLT
CKSYNC = 5
CKPOL = 6
PSYNC = 7
MODE0 = 0
MODE1 = 1
MODE2 = 2
MODE3 = 3
MODE4 = 4
T2CKSYNC = 5
T2CKPOL = 6
T2PSYNC = 7
T2MODE0 = 0
T2MODE1 = 1
T2MODE2 = 2
T2MODE3 = 3
T2MODE4 = 4

; T2CLK
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T2CS0 = 0
T2CS1 = 1
T2CS2 = 2
T2CS3 = 3

; T2CLKCON
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3
T2CS0 = 0
T2CS1 = 1
T2CS2 = 2
T2CS3 = 3

; T2RST
RSEL0 = 0
RSEL1 = 1
RSEL2 = 2
RSEL3 = 3
T2RSEL0 = 0
T2RSEL1 = 1
T2RSEL2 = 2
T2RSEL3 = 3

; TMR5L
TMR5L0 = 0
TMR5L1 = 1
TMR5L2 = 2
TMR5L3 = 3
TMR5L4 = 4
TMR5L5 = 5
TMR5L6 = 6
TMR5L7 = 7
TMR50 = 0
TMR51 = 1
TMR52 = 2
TMR53 = 3
TMR54 = 4
TMR55 = 5
TMR56 = 6
TMR57 = 7

; TMR5H
TMR5H0 = 0
TMR5H1 = 1
TMR5H2 = 2
TMR5H3 = 3
TMR5H4 = 4
TMR5H5 = 5
TMR5H6 = 6
TMR5H7 = 7
TMR58 = 0
TMR59 = 1
TMR510 = 2
TMR511 = 3
TMR512 = 4
TMR513 = 5
TMR514 = 6
TMR515 = 7

; T5CON
ON_T5CON = 0
RD16 = 1
NOT_SYNC = 2
TMR5ON = 0
T5RD16 = 1
NOT_T5SYNC = 2
T5CKPS0 = 4
T5CKPS1 = 5
CKPS0 = 4
CKPS1 = 5

; PR5
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T5GVAL = 2
T5GGO_NOT_DONE = 3
T5GSPM = 4
T5GTM = 5
T5GPOL = 6
T5GE = 7
T5GGO = 3

; T5GCON
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T5GVAL = 2
T5GGO_NOT_DONE = 3
T5GSPM = 4
T5GTM = 5
T5GPOL = 6
T5GE = 7
T5GGO = 3

; T5GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T5GSS0 = 0
T5GSS1 = 1
T5GSS2 = 2
T5GSS3 = 3

; TMR5GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T5GSS0 = 0
T5GSS1 = 1
T5GSS2 = 2
T5GSS3 = 3

; T5CLK
T5CS0 = 0
T5CS1 = 1
T5CS2 = 2
T5CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR5CLK
T5CS0 = 0
T5CS1 = 1
T5CS2 = 2
T5CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR3L
TMR3L0 = 0
TMR3L1 = 1
TMR3L2 = 2
TMR3L3 = 3
TMR3L4 = 4
TMR3L5 = 5
TMR3L6 = 6
TMR3L7 = 7
TMR30 = 0
TMR31 = 1
TMR32 = 2
TMR33 = 3
TMR34 = 4
TMR35 = 5
TMR36 = 6
TMR37 = 7

; TMR3H
TMR3H0 = 0
TMR3H1 = 1
TMR3H2 = 2
TMR3H3 = 3
TMR3H4 = 4
TMR3H5 = 5
TMR3H6 = 6
TMR3H7 = 7
TMR38 = 0
TMR39 = 1
TMR310 = 2
TMR311 = 3
TMR312 = 4
TMR313 = 5
TMR314 = 6
TMR315 = 7

; T3CON
ON_T3CON = 0
RD16 = 1
NOT_SYNC = 2
TMR3ON = 0
T3RD16 = 1
NOT_T3SYNC = 2
T3CKPS0 = 4
T3CKPS1 = 5
CKPS0 = 4
CKPS1 = 5

; PR3
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T3GVAL = 2
T3GGO_NOT_DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
T3GE = 7
T3GGO = 3

; T3GCON
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T3GVAL = 2
T3GGO_NOT_DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
T3GE = 7
T3GGO = 3

; T3GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T3GSS0 = 0
T3GSS1 = 1
T3GSS2 = 2
T3GSS3 = 3

; TMR3GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T3GSS0 = 0
T3GSS1 = 1
T3GSS2 = 2
T3GSS3 = 3

; T3CLK
T3CS0 = 0
T3CS1 = 1
T3CS2 = 2
T3CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR3CLK
T3CS0 = 0
T3CS1 = 1
T3CS2 = 2
T3CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR1L
TMR1L0 = 0
TMR1L1 = 1
TMR1L2 = 2
TMR1L3 = 3
TMR1L4 = 4
TMR1L5 = 5
TMR1L6 = 6
TMR1L7 = 7
TMR10 = 0
TMR11 = 1
TMR12 = 2
TMR13 = 3
TMR14 = 4
TMR15 = 5
TMR16 = 6
TMR17 = 7

; TMR1H
TMR1H0 = 0
TMR1H1 = 1
TMR1H2 = 2
TMR1H3 = 3
TMR1H4 = 4
TMR1H5 = 5
TMR1H6 = 6
TMR1H7 = 7
TMR18 = 0
TMR19 = 1
TMR110 = 2
TMR111 = 3
TMR112 = 4
TMR113 = 5
TMR114 = 6
TMR115 = 7

; T1CON
ON_T1CON = 0
RD16 = 1
NOT_SYNC = 2
TMR1ON = 0
T1RD16 = 1
NOT_T1SYNC = 2
T1CKPS0 = 4
T1CKPS1 = 5
CKPS0 = 4
CKPS1 = 5

; PR1
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T1GVAL = 2
T1GGO_NOT_DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
T1GE = 7
T1GGO = 3

; T1GCON
GVAL = 2
GGO_NOT_DONE = 3
GSPM = 4
GTM = 5
GPOL = 6
GE = 7
T1GVAL = 2
T1GGO_NOT_DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
T1GE = 7
T1GGO = 3

; T1GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T1GSS0 = 0
T1GSS1 = 1
T1GSS2 = 2
T1GSS3 = 3

; TMR1GATE
GSS0 = 0
GSS1 = 1
GSS2 = 2
GSS3 = 3
T1GSS0 = 0
T1GSS1 = 1
T1GSS2 = 2
T1GSS3 = 3

; T1CLK
T1CS0 = 0
T1CS1 = 1
T1CS2 = 2
T1CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR1CLK
T1CS0 = 0
T1CS1 = 1
T1CS2 = 2
T1CS3 = 3
CS0 = 0
CS1 = 1
CS2 = 2
CS3 = 3

; TMR0
TMR0L0 = 0
TMR0L1 = 1
TMR0L2 = 2
TMR0L3 = 3
TMR0L4 = 4
TMR0L5 = 5
TMR0L6 = 6
TMR0L7 = 7

; TMR0L
TMR0L0 = 0
TMR0L1 = 1
TMR0L2 = 2
TMR0L3 = 3
TMR0L4 = 4
TMR0L5 = 5
TMR0L6 = 6
TMR0L7 = 7

; PR0
TMR0H0 = 0
TMR0H1 = 1
TMR0H2 = 2
TMR0H3 = 3
TMR0H4 = 4
TMR0H5 = 5
TMR0H6 = 6
TMR0H7 = 7
T0PR0 = 0
T0PR1 = 1
T0PR2 = 2
T0PR3 = 3
T0PR4 = 4
T0PR5 = 5
T0PR6 = 6
T0PR7 = 7

; TMR0H
TMR0H0 = 0
TMR0H1 = 1
TMR0H2 = 2
TMR0H3 = 3
TMR0H4 = 4
TMR0H5 = 5
TMR0H6 = 6
TMR0H7 = 7
T0PR0 = 0
T0PR1 = 1
T0PR2 = 2
T0PR3 = 3
T0PR4 = 4
T0PR5 = 5
T0PR6 = 6
T0PR7 = 7

; T0CON0
T016BIT = 4
T0OUT = 5
T0EN = 7
T0OUTPS0 = 0
T0OUTPS1 = 1
T0OUTPS2 = 2
T0OUTPS3 = 3

; T0CON1
T0ASYNC = 4
T0CKPS0 = 0
T0CKPS1 = 1
T0CKPS2 = 2
T0CKPS3 = 3
T0CS0 = 5
T0CS1 = 6
T0CS2 = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T0PS3 = 3

; PCON0
NOT_BOR = 0
NOT_POR = 1
NOT_RI = 2
NOT_RMCLR = 3
NOT_RWDT = 4
NOT_WDTWV = 5
STKUNF = 6
STKOVF = 7
BOR = 0
POR = 1
RI = 2
RMCLR = 3
RWDT = 4
WDTWV = 5

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4
NOT_PD = 5
NOT_TO = 6
PD = 5
TO = 6

; INTCON
INT0EDG = 0
INT1EDG = 1
INT2EDG = 2
IPEN = 5
PEIE_GIEL = 6
GIE_GIEH = 7
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKPTR0 = 0
STKPTR1 = 1
STKPTR2 = 2
STKPTR3 = 3
STKPTR4 = 4
STKPTR5 = 5
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
SP5 = 5

; LIST
