NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
SRCON1           EQU 0x0F57
SRCON0           EQU 0x0F58
CCPTMRS          EQU 0x0F59
ANSELA           EQU 0x0F5B
ANSELB           EQU 0x0F5C
ANSELC           EQU 0x0F5D
UCON             EQU 0x0F60
USTAT            EQU 0x0F61
UCFG             EQU 0x0F62
UADDR            EQU 0x0F63
UIE              EQU 0x0F64
UIR              EQU 0x0F65
UEIE             EQU 0x0F66
UEIR             EQU 0x0F67
UFRM             EQU 0x0F68
UFRML            EQU 0x0F68
UFRMLH           EQU 0x0F69
UFRMH            EQU 0x0F69
UEP0             EQU 0x0F6A
UEP1             EQU 0x0F6B
UEP2             EQU 0x0F6C
UEP3             EQU 0x0F6D
UEP4             EQU 0x0F6E
UEP5             EQU 0x0F6F
UEP6             EQU 0x0F70
UEP7             EQU 0x0F71
UEP8             EQU 0x0F72
UEP9             EQU 0x0F73
UEP10            EQU 0x0F74
UEP11            EQU 0x0F75
UEP12            EQU 0x0F76
UEP13            EQU 0x0F77
UEP14            EQU 0x0F78
UEP15            EQU 0x0F79
SLRCON           EQU 0x0F7A
VREFCON2         EQU 0x0F7B
VREFCON1         EQU 0x0F7C
VREFCON0         EQU 0x0F7D
PMD0             EQU 0x0F7E
PMD1             EQU 0x0F7F
WPUB             EQU 0x0F85
IOCB             EQU 0x0F86
IOCC             EQU 0x0F87
CTMUICON         EQU 0x0F88
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
LATC             EQU 0x0F8B
CTMUCON1         EQU 0x0F8E
CTMUCONL         EQU 0x0F8E
CTMUCON0         EQU 0x0F8F
CTMUCONH         EQU 0x0F8F
CCPR2            EQU 0x0F90
CCPR2L           EQU 0x0F90
CCPR2LH          EQU 0x0F91
CCPR2H           EQU 0x0F91
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
DDRC             EQU 0x0F94
TRISC            EQU 0x0F94
CCP2CON          EQU 0x0F97
ECCP2CON         EQU 0x0F97
CM1CON0          EQU 0x0F98
CM2CON0          EQU 0x0F99
CM2CON1          EQU 0x0F9A
OSCTUNE          EQU 0x0F9B
HLVDCON          EQU 0x0F9C
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
RCSTA            EQU 0x0FAB
RCSTA1           EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXSTA1           EQU 0x0FAC
TXREG            EQU 0x0FAD
TXREG1           EQU 0x0FAD
RCREG            EQU 0x0FAE
RCREG1           EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRG1           EQU 0x0FAF
SPBRGH           EQU 0x0FB0
SPBRGH1          EQU 0x0FB0
T3CON            EQU 0x0FB1
TMR3             EQU 0x0FB2
TMR3L            EQU 0x0FB2
TMR3LH           EQU 0x0FB3
TMR3H            EQU 0x0FB3
T3GCON           EQU 0x0FB4
ACTCON           EQU 0x0FB5
STCON            EQU 0x0FB5
ECCP1AS          EQU 0x0FB6
ECCP1DEL         EQU 0x0FB7
PWM1CON          EQU 0x0FB7
BAUDCON          EQU 0x0FB8
BAUDCON1         EQU 0x0FB8
PSTR1CON         EQU 0x0FB9
T2CON            EQU 0x0FBA
PR2              EQU 0x0FBB
TMR2             EQU 0x0FBC
CCP1CON          EQU 0x0FBD
ECCP1CON         EQU 0x0FBD
CCPR1            EQU 0x0FBE
CCPR1L           EQU 0x0FBE
CCPR1LH          EQU 0x0FBF
CCPR1H           EQU 0x0FBF
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
SSP1CON2         EQU 0x0FC5
SSPCON2          EQU 0x0FC5
SSP1CON1         EQU 0x0FC6
SSPCON1          EQU 0x0FC6
SSPCON           EQU 0x0FC6
SSP1STAT         EQU 0x0FC7
SSPSTAT          EQU 0x0FC7
SSP1ADD          EQU 0x0FC8
SSPADD           EQU 0x0FC8
SSP1BUF          EQU 0x0FC9
SSPBUF           EQU 0x0FC9
SSP1MSK          EQU 0x0FCA
SSPMSK           EQU 0x0FCA
SSP1CON3         EQU 0x0FCB
SSPCON3          EQU 0x0FCB
T1GCON           EQU 0x0FCC
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
OSCCON2          EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81
PORTC            EQU 0x0F82
PORTE            EQU 0x0F84

; SRCON1
SRRC1E = 0
SRRC2E = 1
SRRCKE = 2
SRRPE = 3
SRSC1E = 4
SRSC2E = 5
SRSCKE = 6
SRSPE = 7

; SRCON0
SRPR = 0
SRPS = 1
SRNQEN = 2
SRQEN = 3
SRLEN = 7
SRCLK0 = 4
SRCLK1 = 5
SRCLK2 = 6

; CCPTMRS
C1TSEL = 0
C2TSEL = 3

; ANSELA
ANSA0 = 0
ANSA1 = 1
ANSA2 = 2
ANSA3 = 3
ANSA5 = 5

; ANSELB
ANSB0 = 0
ANSB1 = 1
ANSB2 = 2
ANSB3 = 3
ANSB4 = 4
ANSB5 = 5

; ANSELC
ANSC2 = 2
ANSC6 = 6
ANSC7 = 7

; UCON
SUSPND = 1
RESUME = 2
USBEN = 3
PKTDIS = 4
SE0 = 5
PPBRST = 6

; USTAT
PPBI = 1
DIR = 2
ENDP0 = 3
ENDP1 = 4
ENDP2 = 5
ENDP3 = 6

; UCFG
FSEN = 2
UTRDIS = 3
UPUEN = 4
UOEMON = 6
UTEYE = 7
PPB0 = 0
PPB1 = 1

; UADDR
ADDR0 = 0
ADDR1 = 1
ADDR2 = 2
ADDR3 = 3
ADDR4 = 4
ADDR5 = 5
ADDR6 = 6

; UIE
URSTIE = 0
UERRIE = 1
ACTVIE = 2
TRNIE = 3
IDLEIE = 4
STALLIE = 5
SOFIE = 6

; UIR
URSTIF = 0
UERRIF = 1
ACTVIF = 2
TRNIF = 3
IDLEIF = 4
STALLIF = 5
SOFIF = 6

; UEIE
PIDEE = 0
CRC5EE = 1
CRC16EE = 2
DFN8EE = 3
BTOEE = 4
BTSEE = 7

; UEIR
PIDEF = 0
CRC5EF = 1
CRC16EF = 2
DFN8EF = 3
BTOEF = 4
BTSEF = 7

; UFRML
FRM0 = 0
FRM1 = 1
FRM2 = 2
FRM3 = 3
FRM4 = 4
FRM5 = 5
FRM6 = 6
FRM7 = 7

; UFRMH
FRM8 = 0
FRM9 = 1
FRM10 = 2

; UEP0
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP1
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP2
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP3
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP4
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP5
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP6
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP7
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP8
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP9
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP10
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP11
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP12
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP13
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP14
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; UEP15
EPSTALL = 0
EPINEN = 1
EPOUTEN = 2
EPCONDIS = 3
EPHSHK = 4

; SLRCON
SLRA = 0
SLRB = 1
SLRC = 2

; VREFCON2
DACR0 = 0
DACR1 = 1
DACR2 = 2
DACR3 = 3
DACR4 = 4

; VREFCON1
DACNSS = 0
DACOE = 5
DACLPS = 6
DACEN = 7
DACPSS0 = 2
DACPSS1 = 3

; VREFCON0
TSRNG = 2
TSEN = 3
FVRST = 6
FVREN = 7
FVRS0 = 4
FVRS1 = 5

; PMD0
TMR1MD = 0
TMR2MD = 1
TMR3MD = 2
ACTMD = 4
USBMD = 5
UARTMD = 6
STMD = 4
UART1MD = 6

; PMD1
CCP1MD = 0
CCP2MD = 1
ADCMD = 2
CMP1MD = 3
CMP2MD = 4
CTMUMD = 5
MSSPMD = 6
SSP1MD = 6
MSSP1MD = 6

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
AN2 = 2
AN3 = 3
T0CKI = 4
AN4 = 5
OSC2 = 6
VREFM = 2
VREFP = 3
LVDIN = 5
HLVDIN = 5

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
INT0 = 0
INT1 = 1
INT2 = 2
PGM = 5
PGC = 6
PGD = 7

; PORTC
RC0 = 0
RC1 = 1
RC2 = 2
RC4 = 4
RC5 = 5
RC6 = 6
RC7 = 7
T1OSO = 0
T1OSI = 1
CCP1 = 2
TX = 6
RX = 7
T13CKI = 0
P1A = 2
CK = 6
; DT = 7

; PORTE
RE3 = 3

; WPUB
WPUB0 = 0
WPUB1 = 1
WPUB2 = 2
WPUB3 = 3
WPUB4 = 4
WPUB5 = 5
WPUB6 = 6
WPUB7 = 7

; IOCB
IOCB4 = 4
IOCB5 = 5
IOCB6 = 6
IOCB7 = 7

; IOCC
IOCC0 = 0
IOCC1 = 1
IOCC2 = 2
IOCC4 = 4
IOCC5 = 5
IOCC6 = 6
IOCC7 = 7

; CTMUICON
IRNG0 = 0
IRNG1 = 1
ITRIM0 = 2
ITRIM1 = 3
ITRIM2 = 4
ITRIM3 = 5
ITRIM4 = 6
ITRIM5 = 7

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; LATC
LATC0 = 0
LATC1 = 1
LATC2 = 2
LATC4 = 4
LATC5 = 5
LATC6 = 6
LATC7 = 7

; CTMUCON1
EDG1STAT = 0
EDG2STAT = 1
EDG1POL = 4
EDG2POL = 7
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG2SEL0 = 5
EDG2SEL1 = 6

; CTMUCONL
EDG1STAT = 0
EDG2STAT = 1
EDG1POL = 4
EDG2POL = 7
EDG1SEL0 = 2
EDG1SEL1 = 3
EDG2SEL0 = 5
EDG2SEL1 = 6

; CTMUCON0
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7
TRIGEN = 0
SIDL = 5
ON = 7

; CTMUCONH
CTTRIG = 0
IDISSEN = 1
EDGSEQEN = 2
EDGEN = 3
TGEN = 4
CTMUSIDL = 5
CTMUEN = 7
TRIGEN = 0
SIDL = 5
ON = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; DDRC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC6 = 6
RC7 = 7

; TRISC
TRISC0 = 0
TRISC1 = 1
TRISC2 = 2
TRISC4 = 4
TRISC5 = 5
TRISC6 = 6
TRISC7 = 7
RC0 = 0
RC1 = 1
RC2 = 2
RC6 = 6
RC7 = 7

; CCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
CCP2Y = 4
CCP2X = 5

; ECCP2CON
CCP2M0 = 0
CCP2M1 = 1
CCP2M2 = 2
CCP2M3 = 3
DC2B0 = 4
DC2B1 = 5
CCP2Y = 4
CCP2X = 5

; CM1CON0
C1R = 2
C1SP = 3
C1POL = 4
C1OE = 5
C1OUT = 6
C1ON = 7
C1CH0 = 0
C1CH1 = 1
CREF = 2
CPOL = 4
COE = 5
COUT1 = 6
CON = 7
CCH0 = 0
CCH1 = 1

; CM2CON0
C2R = 2
C2SP = 3
C2POL = 4
C2OE = 5
C2OUT = 6
C2ON = 7
C2CH0 = 0
C2CH1 = 1
CREF = 2
CPOL = 4
COE = 5
COUT2 = 6
CON = 7
CCH0 = 0
CCH1 = 1

; CM2CON1
C2SYNC = 0
C1SYNC = 1
C2HYS = 2
C1HYS = 3
C2RSEL = 4
C1RSEL = 5
MC2OUT = 6
MC1OUT = 7

; OSCTUNE
SPLLMULT = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4
TUN5 = 5
TUN6 = 6

; HLVDCON
HLVDEN = 4
IRVST = 5
BGVST = 6
VDIRMAG = 7
HLVDL0 = 0
HLVDL1 = 1
HLVDL2 = 2
HLVDL3 = 3

; PIE1
TMR1IE = 0
TMR2IE = 1
CCP1IE = 2
SSPIE = 3
TXIE = 4
RCIE = 5
ADIE = 6
ACTIE = 7
SSP1IE = 3
TX1IE = 4
RC1IE = 5
STIE = 7

; PIR1
TMR1IF = 0
TMR2IF = 1
CCP1IF = 2
SSPIF = 3
TXIF = 4
RCIF = 5
ADIF = 6
ACTIF = 7
SSP1IF = 3
TX1IF = 4
RC1IF = 5
STIF = 7

; IPR1
TMR1IP = 0
TMR2IP = 1
CCP1IP = 2
SSPIP = 3
TXIP = 4
RCIP = 5
ADIP = 6
ACTIP = 7
SSP1IP = 3
TX1IP = 4
RC1IP = 5
STIP = 7

; PIE2
CCP2IE = 0
TMR3IE = 1
HLVDIE = 2
BCLIE = 3
EEIE = 4
C2IE = 5
C1IE = 6
OSCFIE = 7
LVDIE = 2
BCL1IE = 3
CM2IE = 5
CM1IE = 6

; PIR2
CCP2IF = 0
TMR3IF = 1
HLVDIF = 2
BCLIF = 3
EEIF = 4
C2IF = 5
C1IF = 6
OSCFIF = 7
LVDIF = 2
BCL1IF = 3
CM2IF = 5
CM1IF = 6

; IPR2
CCP2IP = 0
TMR3IP = 1
HLVDIP = 2
BCLIP = 3
EEIP = 4
C2IP = 5
C1IP = 6
OSCFIP = 7
LVDIP = 2
BCL1IP = 3
CM2IP = 5
CM1IP = 6

; PIE3
TMR1GIE = 0
TMR3GIE = 1
USBIE = 2
CTMUIE = 3

; PIR3
TMR1GIF = 0
TMR3GIF = 1
USBIF = 2
CTMUIF = 3

; IPR3
TMR1GIP = 0
TMR3GIP = 1
USBIP = 2
CTMUIP = 3

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADEN = 3

; RCSTA1
RX9D = 0
OERR = 1
FERR = 2
ADDEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADEN = 3

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; TXSTA1
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; SPBRG
BRG0 = 0
BRG1 = 1
BRG2 = 2
BRG3 = 3
BRG4 = 4
BRG5 = 5
BRG6 = 6
BRG7 = 7

; SPBRG1
BRG0 = 0
BRG1 = 1
BRG2 = 2
BRG3 = 3
BRG4 = 4
BRG5 = 5
BRG6 = 6
BRG7 = 7

; SPBRGH
BRG8 = 0
BRG9 = 1
BRG10 = 2
BRG11 = 3
BRG12 = 4
BRG13 = 5
BRG14 = 6
BRG15 = 7

; SPBRGH1
BRG8 = 0
BRG9 = 1
BRG10 = 2
BRG11 = 3
BRG12 = 4
BRG13 = 5
BRG14 = 6
BRG15 = 7

; T3CON
TMR3ON = 0
RD16 = 1
NOT_T3SYNC = 2
SOSCEN = 3
T3RD16 = 1
T3SYNC = 2
T3SOSCEN = 3
T3CKPS0 = 4
T3CKPS1 = 5
TMR3CS0 = 6
TMR3CS1 = 7
T3OSCEN = 3

; T3GCON
T3GVAL = 2
T3GGO_NOT_T3DONE = 3
T3GSPM = 4
T3GTM = 5
T3GPOL = 6
TMR3GE = 7
T3GSS0 = 0
T3GSS1 = 1
T3GGO = 3
NOT_T3DONE = 3
T3DONE = 3
T3GGO_NOT_DONE = 3

; ACTCON
ACTORS = 1
ACTLOCK = 3
ACTSRC = 4
ACTUD = 6
ACTEN = 7
STOR = 1
STLOCK = 3
STSRC = 4
STUD = 6
STEN = 7
ACTOR = 1
ACTD = 6
ACTSEL = 7

; STCON
ACTORS = 1
ACTLOCK = 3
ACTSRC = 4
ACTUD = 6
ACTEN = 7
STOR = 1
STLOCK = 3
STSRC = 4
STUD = 6
STEN = 7
ACTOR = 1
ACTD = 6
ACTSEL = 7

; ECCP1AS
ECCP1ASE = 7
PSS1BD0 = 0
PSS1BD1 = 1
PSS1AC0 = 2
PSS1AC1 = 3
ECCP1AS0 = 4
ECCP1AS1 = 5
ECCP1AS2 = 6
CCP1ASE = 7
PSSBD0 = 0
PSSBD1 = 1
PSSAC0 = 2
PSSAC1 = 3

; ECCP1DEL
P1RSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6
PR1SEN = 7

; PWM1CON
P1RSEN = 7
PDC0 = 0
PDC1 = 1
PDC2 = 2
PDC3 = 3
PDC4 = 4
PDC5 = 5
PDC6 = 6
PR1SEN = 7

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
CKTXP = 4
DTRXP = 5
SCKP = 4
RCMT = 6

; BAUDCON1
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
CKTXP = 4
DTRXP = 5
SCKP = 4
RCMT = 6

; PSTR1CON
STRA = 0
STRB = 1
STRC = 2
STRD = 3
STRSYNC = 4
STR1A = 0
STR1B = 1
STR1C = 2
STR1D = 3
STR1SYNC = 4

; T2CON
TMR2ON = 2
T2CKPS0 = 0
T2CKPS1 = 1
T2OUTPS0 = 3
T2OUTPS1 = 4
T2OUTPS2 = 5
T2OUTPS3 = 6

; CCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ECCP1CON
CCP1M0 = 0
CCP1M1 = 1
CCP1M2 = 2
CCP1M3 = 3
DC1B0 = 4
DC1B1 = 5
P1M0 = 6
P1M1 = 7
CCP1Y = 4
CCP1X = 5

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
TRIGSEL = 7
NVCFG0 = 0
NVCFG1 = 1
PVCFG0 = 2
PVCFG1 = 3

; ADCON0
ADON = 0
GO_NOT_DONE = 1
DONE = 1
GO = 1
NOT_DONE = 1

; SSP1CON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSPCON2
SEN = 0
RSEN = 1
PEN = 2
RCEN = 3
ACKEN = 4
ACKDT = 5
ACKSTAT = 6
GCEN = 7

; SSP1CON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSPCON1
CKP = 4
SSPEN = 5
SSPOV = 6
WCOL = 7
SSPM0 = 0
SSPM1 = 1
SSPM2 = 2
SSPM3 = 3

; SSP1STAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7

; SSPSTAT
BF = 0
UA = 1
R_NOT_W = 2
S = 3
P = 4
D_NOT_A = 5
CKE = 6
SMP = 7

; SSP1ADD
SSP1ADD0 = 0
SSP1ADD1 = 1
SSP1ADD2 = 2
SSP1ADD3 = 3
SSP1ADD4 = 4
SSP1ADD5 = 5
SSP1ADD6 = 6
SSP1ADD7 = 7

; SSPADD
SSP1ADD0 = 0
SSP1ADD1 = 1
SSP1ADD2 = 2
SSP1ADD3 = 3
SSP1ADD4 = 4
SSP1ADD5 = 5
SSP1ADD6 = 6
SSP1ADD7 = 7

; SSP1MSK
SSP1MSK0 = 0
SSP1MSK1 = 1
SSP1MSK2 = 2
SSP1MSK3 = 3
SSP1MSK4 = 4
SSP1MSK5 = 5
SSP1MSK6 = 6
SSP1MSK7 = 7

; SSPMSK
SSP1MSK0 = 0
SSP1MSK1 = 1
SSP1MSK2 = 2
SSP1MSK3 = 3
SSP1MSK4 = 4
SSP1MSK5 = 5
SSP1MSK6 = 6
SSP1MSK7 = 7

; SSP1CON3
DHEN = 0
AHEN = 1
SBCDE = 2
SDAHT = 3
BOEN = 4
SCIE = 5
PCIE = 6
ACKTIM = 7

; SSPCON3
DHEN = 0
AHEN = 1
SBCDE = 2
SDAHT = 3
BOEN = 4
SCIE = 5
PCIE = 6
ACKTIM = 7

; T1GCON
T1GVAL = 2
T1GGO_NOT_T1DONE = 3
T1GSPM = 4
T1GTM = 5
T1GPOL = 6
TMR1GE = 7
T1GSS0 = 0
T1GSS1 = 1
T1GGO = 3
NOT_T1DONE = 3
T1DONE = 3
T1GGO_NOT_DONE = 3

; T1CON
TMR1ON = 0
RD16 = 1
NOT_T1SYNC = 2
SOSCEN = 3
T1RD16 = 1
T1SYNC = 2
T1SOSCEN = 3
T1CKPS0 = 4
T1CKPS1 = 5
TMR1CS0 = 6
TMR1CS1 = 7
T1OSCEN = 3

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4

; WDTCON
SWDTEN = 0
SWDTE = 0

; OSCCON2
LFIOFS = 0
HFIOFR = 1
PRISD = 2
SOSCGO = 3
PLLEN = 4
INTSRC = 5
SOSCRUN = 6
PLLRDY = 7

; OSCCON
HFIOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
FLTS = 2
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T08BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT1IE = 3
INT2IE = 4
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT1E = 3
INT2E = 4
INT1P = 6
INT2P = 7

; INTCON2
IOCIP = 0
TMR0IP = 2
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
T0IP = 2
RBPU = 7

; INTCON
IOCIF = 0
INT0IF = 1
TMR0IF = 2
IOCIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7

; LIST
